#!/usr/bin/perl
#########################################################
#                 Clan Infinity V1.1                    #
#########################################################
#                                                       #
# This script is copywrited by Micro Scripts Inc.       #
# any attempt to modify or use this code without proper #
# authorization will be considered an infringement of   #
# our copywrite and legal action will be pursued to     #
# the fullest extent possible.                          #
#                                                       #
# This script was created by:                           #
#                                                       #
# Micro Scripts & Josh Emilson.                         #
# http://www.microscripts.com                           #
#                                                       #
# This and many other fine scripts are available at     #
# the above website or by emailing the author at        #
# webmaster@microscripts.com                            #
#########################################################

require ("../data/variables.cfg");
require ("../data/templatevars.cfg");

print("Content-type: text/html\n");

&Parse;
$goto = $INPUT{goto};

if($goto eq "AddMatch") {&AddMatch;}
elsif($goto eq "Add New Match") {&AddTheMatch;}
elsif($goto eq "AddMember") {&AddMember;}
elsif($goto eq "Add New Member") {&AddTheMember;}
elsif($goto eq "Smatch") {&ScheduleMatch;}
elsif($goto eq "Schedule Match") {&AddTheSmatch;}
elsif($goto eq "News") {&MemberNews;}
elsif($goto eq "Submit News") {&AddTheNews;}
elsif($goto eq "Update News") {&AddTheNews;}
elsif($goto eq "DisplayMatches") {&DisplayMatches;}
elsif($goto eq "ModifyMatch") {&ModifyMatch;}
elsif($goto eq "Modify Match") {&ModifyTheMatch;}
elsif($goto eq "Delete Match") {&DelMatch;}
elsif($goto eq "DisplayMembers") {&DisplayMembers;}
elsif($goto eq "ModifyMember") {&ModifyMember;}
elsif($goto eq "Modify Members Profile") {&ModifyTheMember;}
elsif($goto eq "Delete Selected Member") {&DelMember;}
elsif($goto eq "DisplaySmatch") {&DisplaySmatches;}
elsif($goto eq "GetSignup") {&ShowSignup;}
elsif($goto eq "SmatchEmail") {&SmatchEmail;}
elsif($goto eq "AppendMatch") {&AppendSmatch;}
elsif($goto eq "Append Match To Database") {&AppendTheSmatch;}
elsif($goto eq "ModifySmatch") {&ModifySmatch;}
elsif($goto eq "Modify Scheduled Match") {&ModifyTheSmatch;}
elsif($goto eq "Delete Scheduled Match") {&DelSmatch;}
elsif($goto eq "DisplayLeagues") {&DisplayLeagues;}
elsif($goto eq "Add League") {&AddLeague;}
elsif($goto eq "Delete League") {&DelLeague;}
elsif($goto eq "DisplayMaps") {&DisplayMaps;}
elsif($goto eq "Add Map") {&AddMap;}
elsif($goto eq "Delete Map") {&DelMap;}
elsif($goto eq "EmailMembers") {&EmailMembers;}
elsif($goto eq "Send E-mail") {&SendEmail;}
elsif($goto eq "DisplayRmvars") {&DisplayRmvars;}
elsif($goto eq "Finish Template Vars") {&AddRmvars;}
elsif($goto eq "SetupVars") {&SetupVars;}
elsif($goto eq "Finish Setup") {&FinshSetup;}
elsif($goto eq "DisplayProfile") {&DisplayProfile;}
elsif($goto eq "About") {&About;}
else{&DisplayMatches;}

sub AddMatch {
&head;
print qq~
<center>
<form action="$ENV{SCRIPT_NAME}" method=POST>
<table width="55%" border="2" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#00273F">
<td colspan=2><center><font color="#FFFFFF"><B>Add New Match To Database</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Date:</B></td>
<TD width="70%"><input type=text name="date" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Opponent:</B></td>
<TD width="70%"><input type=text name="opponent" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>~;
if($VAR::OL eq "1") {
print qq~<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Opponent Url:</B></td>
<TD width="70%"><input type=text name="ourl" value="http://" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>~;}
print qq~<tr bgcolor="#B3B3B3">
<TD width="30%"><B>League Type:</B></td>
<TD width="70%"><select name="league">~;
open(Leagues,"<$VAR::LDB") || print("$! $VAR::LDB");
@Leagues=<Leagues>;
close(Leagues);
@Leagues = sort(@Leagues);
foreach $leaguelist (@Leagues) {
chop ($leaguelist) if ($leaguelist =~ /\n$/);
print "<option value=\"$leaguelist\">$leaguelist</option>\n";}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Match Type:</B></td>
<TD width="70%"><select name="matchtype">
<option value="Regular">Regular</option>
<option value="Title Shot">Title Shot</option>
<option value="Title Match">Title Match</option></select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Game Mode:</B></td>
<TD width="70%"><select name="gamemode">~;
open(GameMode,"<$VAR::GDB") || print("$! $VAR::GDB");
@GameMode=<GameMode>;
close(GameMode);
@GameMode = sort(@GameMode);
foreach $gamemodelist (@GameMode) {
chop ($gamemodelist) if ($gamemodelist =~ /\n$/);
print "<option value=\"$gamemodelist\">$gamemodelist</option>\n";}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Map:</B></td>
<TD width="70%"><select name="map">~;
open (Maps,"<$VAR::MAPDB") || print("$! $VAR::MAPDB");
@Maps = <Maps>;
close (Maps);
@Maps = sort(@Maps);
foreach $maps (@Maps) {
chop ($maps) if ($maps =~ /\n$/);
print "<option value=\"$maps\">$maps</option>\n";}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Opponent Score:</B></td>
<TD width="70%"><input type=text name="opponentscore" size="5" maxlength="5" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Your Score:</B></td>
<TD width="70%"><input type=text name="yourscore" size="5" maxlength="5" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>~;
if($VAR::SS eq "1") {
print qq~<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Game Screen Shot:</B></td>
<TD width="70%"><input type=text name="screen" value="http://" size="50" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>~;}
if($VAR::MAS eq "1") {
print qq~<tr bgcolor="#B3B3B3">
<TD width="30%"><B>1st Round Stats Url:</B></td>
<TD width="70%"><input type=text name="rnd1stat" value="http://" size="50" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>2nd Round Stats Url:</B></td>
<TD width="70%"><input type=text name="rnd2stat" value="http://" size="50" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>~;}
if($VAR::GN eq "1") {
print qq~<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Game Notes:</B></td>
<TD width="70%"><input type=text name="comments" size="50" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>~;}
print qq~<tr bgcolor="#B3B3B3">
<TD colspan=2><center><input type="submit" name="goto" value="Add New Match">&nbsp;&nbsp;<INPUT TYPE="reset" VALUE="Reset!"></center></td>
</tr>
</table></form></center><BR>
~;
&foot;
}

sub AddTheMatch {
if($VAR::DM == 1) {
$message ="<center><font color=#7D0000 size=2><B>This Function Is Disabled In Demo Mode!</B></font></center>";
&DisplayMatches("$message");}
if($VAR::DM == 0) {
if($INPUT{date} eq "") {
$message = "<center><font color=#7D0000><B>No Data Was Supplied For Match Date!</B></FONT></center>";
&DisplayMatches("$message");}
elsif($INPUT{opponent} eq "") {
$message = "<center><font color=#7D0000><B>No Data Was Supplied For Matches Opponent!</B></FONT></center>";
&DisplayMatches("$message");}
elsif($INPUT{opponentscore} eq "") {
$message = "<center><font color=#7D0000><B>No Data Was Supplied For Your Opponents Score!</B></FONT></center>";
&DisplayMatches("$message");}
elsif($INPUT{yourscore} eq "") {
$message = "<center><font color=#7D0000><B>No Data Was Supplied For Your Score!</B></FONT></center>";
&DisplayMatches("$message");}
else {
$message = "<center><font color=#00FF19><B>The Match Between $VAR::CN Vs $INPUT{opponent} Has Been Successfully Added!</B></FONT></center>";
if($INPUT{opponentscore} > $INPUT{yourscore}) {
$oscore = "$INPUT{opponentscore}";
$yscore = "$INPUT{yourscore}";
$overal = "Loss";}
elsif($INPUT{yourscore} > $INPUT{opponentscore}) {
$oscore = "$INPUT{opponentscore}";
$yscore = "$INPUT{yourscore}";
$overal = "Win";}
elsif($INPUT{opponentscore} eq "f") {
$oscore = "$INPUT{opponentscore}";
$yscore = "$INPUT{yourscore}";
$overal = "They Forfeited";}
elsif($INPUT{yourscore} eq "f") {
$oscore = "$INPUT{opponentscore}";
$yscore = "$INPUT{yourscore}";
$overal = "We Forfeited";}
elsif($INPUT{opponentscore} eq "F") {
$oscore = "$INPUT{opponentscore}";
$yscore = "$INPUT{yourscore}";
$overal = "They Forfeited";}
elsif($INPUT{yourscore} eq "F") {
$oscore = "$INPUT{opponentscore}";
$yscore = "$INPUT{yourscore}";
$overal = "We Forfeited";}
open(AddTheMatch,"<$VAR::MADB") || &error("$! $VAR::MADB");
@AddTheMatch = <AddTheMatch>;
close(AddTheMatch);
@idgen=(a..Z,1..9);
$time=time;
srand();
$keyid="";
$keyid .= "ms";
$keyid .= substr($time,6,10);
$keyid .= $idgen[rand($#idgen)];
$keyid .= $idgen[rand($#idgen)];
$keyid .= $idgen[rand($#idgen)];
$keyid .= $idgen[rand($#idgen)];
$newInfo="$keyid|$INPUT{date}|$INPUT{opponent}|$INPUT{ourl}|$INPUT{league}|$INPUT{matchtype}|$INPUT{gamemode}|$INPUT{map}|$oscore|$yscore|$INPUT{screen}|$INPUT{rnd1stat}|$INPUT{rnd2stat}|$INPUT{comments}|$overal\n";
unshift(@AddTheMatch, $newInfo);
open(AddTheMatch,">$VAR::MADB") || &error("$! $VAR::MADB");
flock(AddTheMatch, 2);
foreach $line (@AddTheMatch) {
print AddTheMatch "$line";
}
flock(AddTheMatch, 8);
close(AddTheMatch);
&DisplayMatches("$message");
}
}
}

sub AddMember {
&head;
print qq~
<center>
<form action="$ENV{SCRIPT_NAME}" method=POST>
<table width="55%" border="2" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#00273F">
<td colspan=2><center><font color="#FFFFFF"><B>Add New Member To Roster</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Players Nick Handle:</B></td>
<TD width="70%"><input type=text name="pnick" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Date Joined:</B></td>
<TD width="70%"><input type=text name="djoin" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Rank:</B></td>
<TD width="70%"><select name="rank">
<option value="Recruit">Recruit</option>
<option value="Member">Member</option>
<option value="Founder">Founder</option>
<option value="D Leader">D Leader</option>
<option value="O Leader">O Leader</option></select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Status:</B></td>
<TD width="70%"><select name="status">
<option value="Active">Active</option>
<option value="Inactive">Inactive</option>
<option value="Retired">Retired</option></select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>New Member's E-Mail:</B></td>
<TD width="70%"><input type=text name="mememail" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Temporary Pass:</B></td>
<TD width="70%"><input type=text name="tpass" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>E-Mail Login Info?:</B></td>
<TD width="70%"><select name="ELI">
<option value="No"></option>
<option value="Yes">Yes</option>
<option value="No">No</option></select></td>
</tr>
<tr bgcolor="#B3B3B3">
<td colspan=2><center><input type=submit name="goto" value="Add New Member">&nbsp;&nbsp;<INPUT TYPE=reset VALUE="Reset!"></center></td>
</tr>
</table>
</form></center><BR>
~;
&foot;
}

sub AddTheMember {
if($VAR::DM == 1) {
$message ="<center><font color=#7D0000 size=2><B>This Function Is Disabled In Demo Mode!</B></font></center>";
&DisplayMembers("$message");}
if($VAR::DM == 0) {
if($INPUT{pnick} eq "") {
$message = "<center><font color=#7D0000><B>No Data Was Supplied Players Nick Handle!</B></FONT></center>";
&DisplayMembers("$message");
} else {
if(-e "$VAR::MEP/$INPUT{pnick}.db") {
$message = "<center><font color=#7D0000><B>\"$INPUT{pnick}\" Already exists In database and was not added!</B></FONT></center>";
&DisplayMembers("$message");
}
elsif(!-e "$VAR::MEP/$INPUT{pnick}.db") {
$message = "<center><font color=#00FF19><B>\"$INPUT{pnick}\" Has Been Successfully Added To Members Database!</B></FONT></center>";
open(MEMBERSA,">$VAR::MEP/$INPUT{pnick}.db") || &error("$! $VAR::MEP/$INPUT{pnick}.db");
flock(MEMBERSA, 2);
print MEMBERSA "$INPUT{pnick}|$INPUT{rank}|$INPUT{status}|$INPUT{djoin}|Fill Me In|Fill Me In|56k|Fill Me In|Fill Me In|Fill Me In|Fill Me In|$INPUT{mememail}|Fill Me In|Fill Me In|Yes|Yes|$INPUT{tpass}|-/-|-/-|-/-|-/-|-/-|-/-|-/-|-/-|-/-|-/-";
flock(MEMBERSA, 8);
chmod(0777,"$VAR::MEP/$INPUT{pnick}.db");
close(MEMBERSA);
open(MEMBERSA,">>$VAR::MDB") || &error("$! $VAR::MDB");
flock(MEMBERSA, 2);
print MEMBERSA "$INPUT{pnick}|$INPUT{status}\n";
flock(MEMBERSA, 8);
chmod(0777, "$VAR::MDB");
close(MEMBERSA);
if($INPUT{ELI} eq "Yes") {
open(NME,"<$VAR::NME") || &error("$! $VAR::NME");
while (<NME>){
$NME .= $_;
}
$INFO = $VAR::AE;
$NME =~s/<!--FROM-->/$INFO/g;
$INFO = $INPUT{'pnick'};
$NME =~s/<!--LOGIN-->/$INFO/g;
$INFO = $INPUT{tpass};
$NME =~s/<!--PASS-->/$INFO/g;
$INFO = $VAR::UC;
$INFO .="/login.cgi";
$NME =~s/<!--LOGURL-->/$INFO/g;
$INFO = $VAR::CN;
$NME =~s/<!--CLAN-->/$INFO/g;
close(NME);
&SendMail("$INPUT{'mememail'}","$VAR::AE","Welcome To $VAR::CN $INPUT{'pnick'}","$NME");
}
&DisplayMembers("$message");
}
}
}
}

sub ScheduleMatch {
&head;
print qq~
<center>
<form action="$ENV{SCRIPT_NAME}" method=POST>
<table width="55%" border="2" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#00273F">
<td colspan=2><center><font color="#FFFFFF"><B>Schedule A New Match</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Match Date:</B></td>
<TD width="70%"><input type=text name="mdate" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Match Time:</B></td>
<TD width="70%"><input type=text name="mtime" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Opponent:</B></td>
<TD width="70%"><input type=text name="opponent" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>~;
if($VAR::OL eq "1") {print qq~<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Opponent Url:</B></td>
<TD width="70%"><input type=text name="opponenturl" value="http://" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>~;}
print qq~<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Players Needed:</B></td>
<TD width="70%"><input type=text name="playnum" size="5" maxlength="5" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Map:</B></td>
<TD width="70%"><select name="map">~;
open (Maps,"<$VAR::MAPDB") || print("$! $VAR::MAPDB");
@Maps = <Maps>;
close(Maps);
@Maps = sort(@Maps);
foreach $maps (@Maps) {
chop ($maps) if ($maps =~ /\n$/);
print "<option value=\"$maps\">$maps</option>\n";}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Match Type:</B></td>
<TD width="70%"><select name="matchtype">
<option value="Regular">Regular</option>
<option value="Title Shot">Title Shot</option>
<option value="Title Match">Title Match</option></select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Game Mode:</B></td>
<TD width="70%"><select name="gamemode">~;
open(GameMode,"<$VAR::GDB") || print("$! $VAR::GDB");
@GameMode = <GameMode>;
close(GameMode);
@GameMode = sort(@GameMode);
foreach $gamemodelist (@GameMode) {
chop ($gamemodelist) if ($gamemodelist =~ /\n$/);
print "<option value=\"$gamemodelist\">$gamemodelist</option>\n";}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>League Type:</B></td>
<TD width="70%"><select name="league">~;
open(League,"<$VAR::LDB") || print("$! $VAR::LDB");
@League = <League>;
close(League);
foreach $leaguelist (@League) {
chop ($leaguelist) if ($leaguelist =~ /\n$/);
print "<option value=\"$leaguelist\">$leaguelist</option>\n";}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Server:</B></td>
<TD width="70%"><input type=text name="server" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Server Password:</B></td>
<TD width="70%"><input type=text name="serverpass" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Extra Info:</B></td>
<TD width="70%"><input type=text name="info" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Send E-mail?:</B></td>
<TD width="70%"><select name="sendemail"><option value="Yes">Yes</option><option value="No">No</option></select></td>
</tr>
<tr bgcolor="#B3B3B3">
<td colspan=2><center><input type=submit name="goto" value="Schedule Match">&nbsp;&nbsp;<INPUT TYPE="reset" VALUE="Reset!"></center></td>
</tr>
</table></form></center><BR>
~;
&foot;
}

sub AddTheSmatch {
if($VAR::DM == 1) {
$message ="<center><font color=#7D0000 size=2><B>This Function Is Disabled In Demo Mode!</B></font></center>";
&DisplaySmatches("$message");}
if($VAR::DM == 0) {
if($INPUT{mdate} eq "") {
$message = "<center><font color=#7D0000><B>No Data Was Supplied For Match Date!</B></FONT></center>";
&DisplaySmatches("$message");}
elsif($INPUT{mtime} eq "") {
$message = "<center><font color=#7D0000><B>No Data Was Supplied For Match Time!</B></FONT></center>";
&DisplaySmatches("$message");}
elsif($INPUT{opponent} eq "") {
$message = "<center><font color=#7D0000><B>No Data Was Supplied For Opponent Name!</B></FONT></center>";
&DisplaySmatches("$message");}
elsif($INPUT{playnum} eq "") {
$message = "<center><font color=#7D0000><B>No Data Was Supplied For Players Needed!</B></FONT></center>";
&DisplaySmatches("$message");}
if(-e "$VAR::SMD/$INPUT{opponent}.db") {
$message = "<center><font color=#7D0000><B>Match for \"$INPUT{opponent}\" Already exists In database and was not added!</B></FONT></center>";
&DisplaySmatches("$message");}
elsif(!-e "$VAR::SMD/$INPUT{opponent}.db") {
$message = "<center><font color=#00FF19><B>Match Scheduled for \"$INPUT{mdate}\" Vs \"$INPUT{opponent}\" Has Been Successfully Added!</B></FONT></center>";
open(AddTheSmatch,">$VAR::SMD/$INPUT{opponent}.db") || &error("$! $VAR::SMD/$INPUT{opponent}.db");
flock(AddTheSmatch, 2);
print AddTheSmatch "$INPUT{mdate}|$INPUT{mtime}|$INPUT{opponent}|$INPUT{opponenturl}|$INPUT{playnum}|$INPUT{map}|$INPUT{matchtype}|$INPUT{gamemode}|$INPUT{league}|$INPUT{server}|$INPUT{serverpass}|$INPUT{info}";
flock(AddTheSmatch, 8);
chmod(0777, "$VAR::SMD/$INPUT{opponent}.db");
close(AddTheSmatch);
open(SMATCHUSERS,">$VAR::SMD/$INPUT{opponent}users.db") || &error("$! $VAR::SMD/$INPUT{opponent}users.db");
flock(SMATCHUSERS, 2);
print SMATCHUSERS "";
flock(SMATCHUSERS, 8);
chmod(0777, "$VAR::SMD/$INPUT{opponent}users.db");
close(SMATCHUSERS);
open(SheduledMatchDB,">>$VAR::SMDB") || &error("$! $VAR::SMDB");
flock(SheduledMatchDB, 2);
print SheduledMatchDB "$INPUT{opponent}|$INPUT{opponent}users.db\n";
flock(SheduledMatchDB, 8);
chmod(0777, "$VAR::SMDB");
close(SheduledMatchDB);
open(NSM,"<$VAR::NSM") || &error("$! $VAR::NSM");
while (<NSM>){
$NSM .= $_;
}
close(NSM);
$INFO = $VAR::CN;
$NSM =~s/<!--CLAN-->/$INFO/g;
$INFO = $VAR::UC;
$INFO .="/login.cgi";
$NSM =~s/<!--LOGURL-->/$INFO/g;
$INFO = $INPUT{'opponent'};
$NSM =~s/<!--OPPONENT-->/$INFO/g;
$INFO = $INPUT{'mdate'};
$NSM =~s/<!--MDATE-->/$INFO/g;
$INFO = $INPUT{'mtime'};
$NSM =~s/<!--MTIME-->/$INFO/g;
$INFO = $INPUT{'playnum'};
$NSM =~s/<!--PLAYNUM-->/$INFO/g;
$INFO = $INPUT{'map'};
$NSM =~s/<!--MAP-->/$INFO/g;
$INFO = $INPUT{'matchtype'};
$NSM =~s/<!--MATCHTYPE-->/$INFO/g;
$INFO = $INPUT{'gamemode'};
$NSM =~s/<!--GAMEMODE-->/$INFO/g;
$INFO = $INPUT{'info'};
$NSM =~s/<!--INFO-->/$INFO/g;
$INFO = $VAR::AE;
$NSM =~s/<!--FROM-->/$INFO/g;
if($INPUT{sendemail} eq "Yes") {
open(GetMember,"$VAR::MDB") || &error("$! $VAR::MDB");
@GetMember=<GetMember>;
close(GetMember);
foreach $line (@GetMember) {
($mem,$stat)=split(/\|/,$line);
open(GotMember, "$VAR::MEP/$mem.db") || &error("$! $VAR::MEP/$mem.db");
@GotMember=<GotMember>;
close(GotMember);
foreach $line (@GotMember) {
($playernick,$rank,$status,$joindate,$name,$hobbies,$connection,$favgame,$classes,$compspec,$location,$email,$icq,$quote,$hemail,$hicq,$pass,$myposagent,$myposengineer,$myposflametrooper,$myposgrenadier,$myposminigunner,$myposparamedic,$myposrecon,$mypossniper,$mypossoldier,$doro)=split(/\|/,$line);
if($status eq "Active") {
open(SENDMAIL,"|$VAR::SM -t") || &error("I Can't Send E-mail(s)");
print SENDMAIL "To: $email\n";
print SENDMAIL "From: $VAR::AE\n";
print SENDMAIL "Subject: $VAR::CN Has Scheduled A Match\n";
print SENDMAIL "$NSM\n";
close(MAIL);}
}
}
}
&DisplaySmatches("$message");}
}
}

sub MemberNews {
&head;
print qq~
<center>
<form action="$ENV{SCRIPT_NAME}" method=POST>
<table width="65%" border="2" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#00273F">
<td colspan="2"><center><font size="2" color="#FFFFFF"><B>Members News</B></font></center></td>
</tr>~;
if(-z "$VAR::NWFL") {
print qq~
<tr bgcolor="#B3B3B3">
<TD width="25%"><B>News Headline:</B></td>
<TD width="75%"><input type=text name="newsheadline" size="55" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<td colspan="2"><center><textarea name="Newsbody" cols="90" rows="20" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></textarea></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD colspan=2><center><input type="submit" name="goto" value="Submit News">&nbsp;&nbsp;<INPUT TYPE=reset VALUE=Reset!></center></td>
</tr>
</table></form></center><BR><BR>~;
} else {
open(News,"<$VAR::NWFL") || &error("$! $VAR::NWFL");
@News = <News>;
close(News);
foreach $line (@News) {
($newsheadline,$newsbody)=split(/\|/,$line);
print qq~
<tr bgcolor="#B3B3B3">
<td width="25%"><B>News Headline:</B></td>
<TD width="75%"><input type=text name="newsheadline" value="$newsheadline" size="55" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<td colspan="2"><center><textarea name="Newsbody" cols="90" rows="20" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000">$newsbody</textarea></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD colspan=2><center><input type="submit" name="goto" value="Update News">&nbsp;&nbsp;<INPUT TYPE=reset VALUE="Reset!"></center></td>
</tr>
</table></form></center><BR>
~;
}
}
&foot;
}

sub AddTheNews {
if($VAR::DM == 1) {
$message ="<center><font color=#7D0000 size=2><B>This Function Is Disabled In Demo Mode!</B></font></center>";
&DisplayMatches("$message");
}
if($VAR::DM == 0) {
$message = "<center><font color=#00FF19><B>The News Has Been Successfully Modified!</B></FONT></center>";
$Newsbody = "$INPUT{Newsbody}";
$Newsbody =~ s/\n/<BR>/gi;
$Newsbody =~ s/\r//gi;
open(NewsDB,">$VAR::NWFL") || &error("$! $VAR::NWFL");
flock(NewsDB, 2);
print NewsDB "$INPUT{newsheadline}|$Newsbody";
flock(NewsDB, 8);
close(NewsDB);
&DisplayMatches("$message");
}
}

sub DisplayMatches {
&head;
print "<center>\n";
if($VAR::LS eq "1") {
open(DATA,"<$VAR::MADB") || print("$! $VAR::MADB");
@GetMatch = <DATA>;
close(DATA);
chomp(@GetMatch);
open(LEAGUES,"<$VAR::LDB") || print("$! $VAR::LDB");
while($line = <LEAGUES>) {
next if $line =~ /^\n/;
chomp $line;
$a = 0;
$b = 0;
$c = 0;
$d = 0;
$leaguelist = $line;
foreach $line (@GetMatch) {
($matchid,$date,$opponent,$ourl,$league,$matchtype,$gamemode,$map,$oscore,$yscore,$screen,$rnd1stat,$rnd2stat,$comments,$overal)=split(/\|/,$line);
if($leaguelist eq "$league" && $overal eq 'Win') {$a++;}
if($leaguelist eq "$league" && $overal eq 'They Forfeited') {$a++;}
if($leaguelist eq "$league" && $overal eq 'Loss') {$b++;}
if($leaguelist eq "$league" && $overal eq 'We Forfeited') {$b++;}
if($overal eq "Win") {$c++;}
if($overal eq "They Forfeited") {$c++;}
if($overal eq 'Loss') {$d++;}
if($overal eq 'We Forfeited') {$d++;}
}
if($a >= 1 or $b >= 1)	{
print qq~<font size="3"><B>Official $leaguelist Record: $a-$b</B></font><BR>\n~;	
}
}
print qq~<font size="3"><B>Official Overall Record: $c-$d</B></font><BR><BR>\n~;	
close(LEAGUES);
}
print "</center>\n";
$x = 9;
if($VAR::MAS eq "1") {$x++;}
if($VAR::SS eq "1") {$x++;}
print qq~
<center>
<table width="95%" border="2" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#00273F">
<td colspan=$x><center><font size="2" color="#FFFFFF"><B>$VAR::CN Match Statistics</B></font></center></td>
</tr>
<tr bgcolor="#003B61">
<td><center><font size="2" color="#FFFFFF"><B>Date</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Opponent</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Map</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Game Mode</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Match Type</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>League</B></font></center></td>~;
if($VAR::MAS eq "1") {print qq~<td><center><font size="2" color="#FFFFFF"><B>Game Stats</B></font></center></td>~;}
if($VAR::SS eq "1") {print qq~<td><center><font size="2" color="#FFFFFF"><B>Screen Shot</B></font></center></td>~;}
print qq~
<td><center><font size="2" color="#FFFFFF"><B>Score</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Overall</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Edit</B></font></center></td>
</tr>~;
if(-z "$VAR::MADB") {
print qq~
<tr bgcolor="#B3B3B3">
<td colspan=$x><center><font size="2"><B>There is no Matches in the database</B></font></center></td>
</tr>
</table></center>~;}
else {
open(DisplayMatches,"<$VAR::MADB") || &error("$! $VAR::MADB");
@DisplayMatches=<DisplayMatches>;
close(DisplayMatches);
foreach $line (@DisplayMatches) {
($matchid,$date,$opponent,$ourl,$league,$matchtype,$gamemode,$map,$oscore,$yscore,$screen,$rnd1stat,$rnd2stat,$comments,$overal)=split(/\|/,$line);
print qq~
<tr onmouseover="con(this);" onmouseout="coff(this);">
<td><center><font size="2"><B>$date</B></font></center></td>
<td><center><font size="2">~;
if($VAR::OL eq "1") {
if($ourl eq "http://") {print qq~$opponent</B></font></center></td>~;} else {
print qq~<a href="$ourl" target="_blank"><B>$opponent</B></A></font></center></td>~;}
}
if($VAR::OL eq "2"){print qq~$opponent</B></font></center></td>~;}
print qq~<td><center><font size="2"><B>$map</B></font></center></td>
<td><center><font size="2"><B>$gamemode</B></font></center></td>
<td><center><font size="2"><B>$matchtype</B></font></center></td>
<td><center><font size="2"><B>$league</B></font></center></td>~;
if($VAR::MAS eq "1") { 
if($rnd1stat && $rnd2stat eq "http://") { print qq~<td><center><font size="2"><B>None Available</B></font></center></td>~;}
else {print qq~<td><center><font size="2"><a href="$rnd1stat" target="_blank"><B>Rnd 1 Stats</B></A><BR><a href="$rnd2stat" target="_blank"><B>Rnd 2 Stats</B></A></font></center></td>~;}
}
if($VAR::SS eq "1") {
if($screen eq "http://") {print qq~<td><center><font size="2"><B>N/A</B></font></center></td>~;}
else {print qq~<td><center><font size="2"><a href="$screen" target="_blank"><B>Screen Shot</B></A></font></center></td>~;}
}
if($yscore eq "f") {
$yscore = "Forfeit";
$oscore = "Forfeit";}
elsif($yscore eq "F") {
$yscore = "Forfeit";
$oscore = "Forfeit";}
elsif($oscore eq "f") {
$yscore = "Forfeit";
$oscore = "Forfeit";}
elsif($oscore eq "F") {
$yscore = "Forfeit";
$oscore = "Forfeit";}
print qq~<td><center><font size="2"><B>$yscore - $oscore</B></font></center></td>
<td><center><font size="2"><B>$overal</B></font></center></td>
<td><center><a href="$ENV{SCRIPT_NAME}?goto=ModifyMatch&$matchid"><B>Edit</B></A></center></td>
</tr>
~;
}
}
print qq~</table></center><BR>~;
&foot;
}

sub ModifyMatch {
&head;
open(ModifyMatch,"<$VAR::MADB") || &error("$! $VAR::MADB");
@ModifyMatch=<ModifyMatch>;
close(ModifyMatch);
foreach $line (@ModifyMatch) {
($matchid,$date,$opponent,$ourl,$league,$matchtype,$gamemode,$map,$oscore,$yscore,$screen,$rnd1stat,$rnd2stat,$comments,$overal)=split(/\|/, $line);
if($matchid eq "$ad_key") {
print qq~
<center>
<form action="$ENV{SCRIPT_NAME}" method=POST>
<table width="55%" border="2" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#00273F">
<td colspan=2><center><font color="#FFFFFF"><B>Modify Match $VAR::CN Vs $opponent</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Date:</B></td>
<TD width="70%"><input type=text name="date" value="$date" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Opponent:</B></td>
<TD width="70%"><input type=text name="opponent" value="$opponent" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Opponent Url:</B></td>
<TD width="70%"><input type=text name="ourl" value="$ourl" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>League Type:</B></td>
<TD width="70%"><select name="league">~;
open (FILE,"<$VAR::LDB") || print("$! $VAR::LDB");
@league = <FILE>;
close (FILE);
foreach $leaguelist (@league) {
chop ($leaguelist) if ($leaguelist =~ /\n$/);
if($leaguelist eq "$league") {
print "<option value=\"$leaguelist\" SELECTED>$leaguelist</option>\n";} 
else {print "<option value=\"$leaguelist\">$leaguelist</option>\n";}
}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Match Type:</B></td>
<TD width="70%"><select name="matchtype">~;
if($matchtype eq "Regular") {print "<option value=\"Regular\" selected>Regular</option>\n";}
else {print "<option value=\"Regular\">Regular</option>\n";}
if($matchtype eq "Title Shot") {print "<option value=\"Title Shot\" selected>Title Shot</option>\n";}
else {print "<option value=\"Title Shot\">Title Shot</option>\n";}
if($matchtype eq "Title Match") {print "<option value=\"Title Match\" selected>Title Match</option>\n";}
else {print "<option value=\"Title Match\">Title Match</option>\n";}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Game Mode:</B></td>
<TD width="70%"><select name="gamemode">~;
open(GAMEMODE,"<$VAR::GDB") || print("$! $VAR::GDB");
@GAMEMODE = <GAMEMODE>;
close (GAMEMODE);
@GAMEMODE = sort(@GAMEMODE);
foreach $gamemodelist (@GAMEMODE) {
chop ($gamemodelist) if ($gamemodelist =~ /\n$/);
if($gamemodelist eq "$gamemode") {
print "<option value=\"$gamemodelist\" SELECTED>$gamemodelist</option>\n";}
else {print "<option value=\"$gamemodelist\">$gamemodelist</option>\n";}
}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Map:</B></td>
<TD width="70%"><select name="map">~;
open(MAPS,"<$VAR::MAPDB") || print("$! $VAR::MAPDB");
@maps = <MAPS>;
close (MAPS);
@maps = sort(@maps);
foreach $mapslist (@maps) {
chop($mapslist) if($mapslist =~ /\n$/);
if($map eq "$mapslist") {
print "<option value=\"$mapslist\" SELECTED>$mapslist</option>\n";}
else {print "<option value=\"$mapslist\">$mapslist</option>\n";}
}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Opponent Score:</B></td>
<TD width="70%"><input type=text name="opponentscore" value="$oscore" size="5" maxlength="5" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Your Score:</B></td>
<TD width="70%"><input type=text name="yourscore" value="$yscore" size="5" maxlength="5" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>~;
if($VAR::SS eq "1") {
print qq~<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Game Screen Shot:</B></td>
<TD width="70%"><input type=text name="screen" value="$screen" size="50" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>~;}
if($VAR::MAS eq "1") {
print qq~<tr bgcolor="#B3B3B3">
<TD width="30%"><B>1st Round Stats Url:</B></td>
<TD width="70%"><input type=text name="rnd1stat" value="$rnd1stat" size="50" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>2nd Round Stats Url:</B></td>
<TD width="70%"><input type=text name="rnd2stat" value="$rnd2stat" size="50" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>~;}
if($VAR::GN eq "1") {
print qq~<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Game Notes:</B></td>
<TD width="70%"><input type=text name="comments" value="$comments" size="50" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>~;}
print qq~<tr bgcolor="#B3B3B3">
<td colspan="2"><center><input type="hidden" name="id" value="$matchid"><input type="submit" name="goto" value="Modify Match">&nbsp;&nbsp;<INPUT TYPE="reset" VALUE=Reset!></center></td>
</tr>
</table></form><BR>

<form action="$ENV{SCRIPT_NAME}" method=POST>
<table width="25%" border="2" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#B3B3B3">
<td colspan="2"><center>Check this box to delete this Match: <input type="checkbox" name="delete" value="$matchid"></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<td colspan="2"><center><input type="submit" name="goto" value="Delete Match"></center></td>
</tr>
</table>
</form>
</center><BR>
~;
&foot;
}
}
}

sub ModifyTheMatch {
if($VAR::DM == 1) {
$message ="<center><font color=#7D0000 size=2><B>This Function Is Disabled In Demo Mode!</B></font></center>";
&DisplayMatches("$message");
}
if($VAR::DM == 0) {
$message = "<center><font color=#00FF19><B>Match Between $VAR::CN Vs $INPUT{opponent} Has Been Successfully Modified!</B></FONT></center>";
if($INPUT{opponentscore} > $INPUT{yourscore}) {
$oscore2 = "$INPUT{opponentscore}";
$yscore2 = "$INPUT{yourscore}";
$overal2 = "Loss";}
elsif($INPUT{yourscore} > $INPUT{opponentscore}) {
$oscore2 = "$INPUT{opponentscore}";
$yscore2 = "$INPUT{yourscore}";
$overal2 = "Win";}
elsif($INPUT{opponentscore} eq "f") {
$oscore2 = "$INPUT{opponentscore}";
$yscore2 = "$INPUT{yourscore}";
$overal2 = "They Forfeited";}
elsif($INPUT{yourscore} eq "f") {
$oscore2 = "$INPUT{opponentscore}";
$yscore2 = "$INPUT{yourscore}";
$overal2 = "We Forfeited";}
elsif($INPUT{opponentscore} eq "F") {
$oscore2 = "$INPUT{opponentscore}";
$yscore2 = "$INPUT{yourscore}";
$overal2 = "They Forfeited";}
elsif($INPUT{yourscore} eq "F") {
$oscore2 = "$INPUT{opponentscore}";
$yscore2 = "$INPUT{yourscore}";
$overal2 = "We Forfeited";}
open(ModifyTheMatch,"<$VAR::MADB") || &error("$! $VAR::MADB");
@ModifyTheMatch=<ModifyTheMatch>;
close(ModifyTheMatch);
$i=0;
foreach $line (@ModifyTheMatch) {
($matchid,$date,$opponent,$ourl,$league,$matchtype,$gamemode,$map,$oscore,$yscore,$screen,$rnd1stat,$rnd2stat,$comments,$overal)=split(/\|/, $line);
if($matchid eq "$INPUT{id}") {
$ModifyTheMatch[$i]="$matchid|$INPUT{date}|$INPUT{opponent}|$INPUT{ourl}|$INPUT{league}|$INPUT{matchtype}|$INPUT{gamemode}|$INPUT{map}|$oscore2|$yscore2|$INPUT{screen}|$INPUT{rnd1stat}|$INPUT{rnd2stat}|$INPUT{comments}|$overal2\n";
}
$i++;
}
open(ModifyTheMatch,">$VAR::MADB") || &error("$! $VAR::MADB");
flock(ModifyTheMatch, 2);
foreach $MTM (@ModifyTheMatch){ 
print ModifyTheMatch "$MTM";
}
flock(ModifyTheMatch, 8);
chmod(0777,"$VAR::MADB");
close(DB);
&DisplayMatches("$message");
}
}

sub DelMatch {
if($VAR::DM == 1) {
$message ="<center><font color=#7D0000 size=2><B>This Function Is Disabled In Demo Mode!</B></font></center>";
&DisplayMatches("$message");
}
if($VAR::DM == 0) {
$message ="<center><font color=#00FF19><B>Account \"$INPUT{'delete'}\" Has Been Successfully Deleted!</B></font></center>";
open(DelMatch,"<$VAR::MADB") || &error("$! $VAR::MADB");
@DelMatch=<DelMatch>;
close(DelMatch);
open(DelMatch,">$VAR::MADB") || &error("$! $VAR::MADB");
flock(DelMatch, 2);
foreach $line (@DelMatch) {
my @DelTheMatch = split(/\|/, $line);
print DelMatch "$line" unless($DelTheMatch[0] eq "$INPUT{'delete'}");
}
flock(DelMatch, 8);
close(DelMatch);
&DisplayMatches($message);
}
}

sub DisplayMembers {
&head;
print qq~
<center>
<table width="95%" border="2" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#00273F">
<td colspan=7><center><font size="2" color="#FFFFFF"><B>$VAR::CN Member Statistics</B></font></center></td>
</tr>
<tr bgcolor="#003B61">
<td><center><font size="2" color="#FFFFFF"><B>Player Name</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Join Date</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Status</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Rank</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>E-mail</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>ICQ #</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Edit</B></font></center></td>
</tr>~;
if(-z "$VAR::MDB") {
print qq~
<tr bgcolor="#B3B3B3">
<td colspan=7><center><font size="2"><B>You Have No Members in Your clan ($VAR::CN)</B></font></center></td>
</tr>~;}
else {
open(MembersDB,"<$VAR::MDB") || &error("$! $VAR::MDB");
@MembersDB = <MembersDB>;
close(MembersDB);
@MembersDB = sort(@MembersDB);
foreach $line (@MembersDB) {
($mem,$stat)=split(/\|/,$line);
open(Memberfile,"<$VAR::MEP/$mem.db") || &error("$! $VAR::MEP/$mem.db");
@Memberfile=<Memberfile>;
close(Memberfile);
foreach $line (@Memberfile) {
($playernick,$rank,$status,$joindate,$name,$hobbies,$connection,$favgame,$classes,$compspec,$location,$email,$icq,$quote,$hemail,$hicq,$pass,$myposagent,$myposengineer,$myposflametrooper,$myposgrenadier,$myposminigunner,$myposparamedic,$myposrecon,$mypossniper,$mypossoldier,$doro)=split(/\|/, $line);
print qq~
<tr onmouseover="con(this);" onmouseout="coff(this);">
<td><center><a href="$ENV{SCRIPT_NAME}?goto=DisplayProfile&$playernick" target="Roster" onclick="MS_popWindow('$ENV{SCRIPT_NAME}?goto=DisplayProfile&$playernick','Roster','width=450,height=420,scrollbars,resizable')"><B>$playernick</B></A></center></td>
<td><center><font size="2"><B>$joindate</B></font></center></td>
<td><center><font size="2"><B>$status</B></font></center></td>
<td><center><font size="2"><B>$rank</B></font></center></td>
<td><center><font size="2"><B>~;
if($email eq "Fill Me In") {print qq~N/A</B></font></center></td>~;}
else {print qq~<a href="mailto:$email">$email</A></B></font></center></td>~;}
print qq~<td><center><font size="2">~;
if($icq eq "Fill Me In") {print qq~<B>N/A</B></font></center></td>~;}
else {print qq~<a href="http://wwp.icq.com/scripts/search.dll?to=$icq"><B>$icq</B></A></font> <a href="http://wwp.icq.com/$icq#pager" target="_blank"><img src="http://online.mirabilis.com/scripts/online.dll?icq=$icq&img=5" alt="ICQ status" border="0"></a></center></td>~;}
print qq~<td><center><a href="$ENV{SCRIPT_NAME}?goto=ModifyMember&$playernick">Edit</A></center></td>
</tr>~;}
}
}
print qq~
</table></center><BR>
~;
&foot;
}

sub ModifyMember {
open(ModifyMember,"<$VAR::MEP/$ad_key.db") || &error("$! $VAR::MEP/$ad_key.db");
@ModifyMember=<ModifyMember>;
close(ModifyMember);
foreach $line (@ModifyMember)  {
($playernick,$rank,$status,$joindate,$name,$hobbies,$connection,$favgame,$classes,$compspec,$location,$email,$icq,$quote,$hemail,$hicq,$pass,$myposagent,$myposengineer,$myposflametrooper,$myposgrenadier,$myposminigunner,$myposparamedic,$myposrecon,$mypossniper,$mypossoldier,$doro)=split(/\|/, $line);
&head;
print qq~
<center>
<form action="$ENV{SCRIPT_NAME}" method=POST>
<table width="55%" border="2" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#00273F">
<td colspan=2><center><font color="#FFFFFF"><B>$playernick Profile Manager</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Join Date:</B></td>
<TD width="70%"><input type=text name="jdate" value="$joindate" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Current Status:</B></td>
<TD width="70%"><select name="status">~;
if($status eq "Active") {print "<option value=\"Active\" selected>Active</option>\n";}
else {print "<option value=\"Active\">Active</option>\n";}
if($status eq "Inactive") {print "<option value=\"Inactive\" selected>Inactive</option>\n";}
else {print "<option value=\"Inactive\">Inactive</option>\n";}
if($status eq "Retired") {print "<option value=\"Retired\" selected>Retired</option>\n";}
else {print "<option value=\"Retired\">Retired</option>\n";}
if($status eq "Disabled") {print "<option value=\"Disabled\" selected>Disabled</option>\n";}
else {print "<option value=\"Disabled\">Disabled</option>\n";}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Rank:</B></td>
<TD width="70%"><select name="rank">~;
if($rank eq "Recruit") {print "<option value=\"Recruit\" selected>Recruit</option>\n";}
else {print "<option value=\"Recruit\">Recruit</option>\n";}
if($rank eq "Member") {print "<option value=\"Member\" selected>Member</option>\n";}
else {print "<option value=\"Member\">Member</option>\n";}
if($rank eq "Founder") {print "<option value=\"Founder\" selected>Founder</option>\n";}
else {print "<option value=\"Founder\">Founder</option>\n";}
if($rank eq "D Leader") {print "<option value=\"D Leader\"  selected>D Leader</option>\n";}
else {print "<option value=\"D Leader\">D Leader</option>\n";}
if($rank eq "O Leader") {print "<option value=\"O Leader\" selected>O Leader</option>\n";}
else {print "<option value=\"O Leader\">O Leader</option>\n";}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Your Name:</B></td>
<TD width="70%"><input type=text name="name" value="$name" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Your Hobbies:</B></td>
<TD width="70%"><input type=text name="hobbies" value="$hobbies" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Connection:</B></td>
<TD width="70%"><select name="connection">~;
if($connection eq "56K") {print "<option value=\"56K\" selected>56K</option>\n";}
else {print "<option value=\"56K\">56K</option>\n";}
if($connection eq "Cable") {print "<option value=\"Cable\" selected>Cable</option>\n";}
else {print "<option value=\"Cable\">Cable</option>\n";}
if($connection eq "DSL") {print "<option value=\"DSL\" selected>DSL</option>\n";}
else {print "<option value=\"DSL\">DSL</option>\n";}
if($connection eq "T1") {print "<option value=\"T1\" selected>T1</option>\n";}
else {print "<option value=\"T1\">T1</option>\n";}
if($connection eq "T3") {print "<option value=\"T3\" selected>T3</option>\n";}
else {print "<option value=\"T3\">T3</option>\n";}
if($connection eq "T3+") {print "<option value=\"T3+\" selected>T3+</option>\n";}
else {print "<option value=\"T3+\">T3+</option>\n";}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Favorite Games:</B></td>
<TD width="70%"><input type=text name="favgame" value="$favgame" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Favorite Q3F Class:</B></td>
<TD width="70%"><input type=text name="classes" value="$classes" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Computer Specs:</B></td>
<TD width="70%"><input type=text name="compspec" value="$compspec" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Location in the world:</B></td>
<TD width="70%"><input type=text name="location" value="$location" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>E-mail:</B></td>
<TD width="70%"><input type=text name="email" value="$email" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>ICQ:</B></td>
<TD width="70%"><input type=text name="icq" value="$icq" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Personal Quote:</B></td>
<TD width="70%"><input type=text name="pquote" value="$quote" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Hide E-mail (Public):</B></td>
<TD width="70%"><select name="hemail">~;
if($hemail eq "Yes") {print "<option value=\"Yes\" selected>Yes</option>\n";}
else {print "<option value=\"Yes\">Yes</option>\n";}
if($hemail eq "No") {print "<option value=\"No\" selected>No</option>\n";}
else {print "<option value=\"No\">No</option>\n";}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Hide Icq (Public):</B></td>
<TD width="70%"><select name="hicq">~;
if($hicq eq "Yes") {print "<option value=\"Yes\" selected>Yes</option>\n";}
else {print "<option value=\"Yes\">Yes</option>\n";}
if($hicq eq "No") {print "<option value=\"No\" selected>No</option>\n";}
else {print "<option value=\"No\">No</option>\n";}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3">
<td colspan=2><center><input type="hidden" name="login" value="$playernick"><input type=submit name="goto" value="Modify Members Profile">&nbsp;&nbsp;<INPUT TYPE=reset VALUE="Reset!"></center></td>
</tr>
</table></form><BR>

<form action="$ENV{SCRIPT_NAME}" method=POST>
<table width="25%" border="2" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#B3B3B3">
<td colspan="2"><center>Check This Box To Delete $playernick: <input type="checkbox" name="delete" value="$playernick"></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<td colspan="2"><center><input type="submit" name="goto" value="Delete Selected Member"></center></td>
</tr>
</table></form></center><BR>~;
&foot;
}
}

sub ModifyTheMember {
if($VAR::DM == 1) {
$message ="<center><font color=#7D0000 size=2><B>This Function Is Disabled In Demo Mode!</B></font></center>";
&DisplayMembers("$message");
}
if($VAR::DM == 0) {
$message = "<center><font color=#00FF19><B>Member \"$INPUT{login}\" Has Been Successfully Modified!</B></FONT></center>";
open(ModifyTheMember,"<$VAR::MEP/$INPUT{login}.db") || &error("$! $VAR::MEP/$INPUT{login}.db");
@ModifyTheMember=<ModifyTheMember>;
close(ModifyTheMember);
foreach $line (@ModifyTheMember) {
($playernick,$rank,$status,$joindate,$name,$hobbies,$connection,$favgame,$classes,$compspec,$location,$email,$icq,$quote,$hemail,$hicq,$pass,$myposagent,$myposengineer,$myposflametrooper,$myposgrenadier,$myposminigunner,$myposparamedic,$myposrecon,$mypossniper,$mypossoldier,$doro)=split(/\|/, $line);
$players_dat="$playernick|$INPUT{'rank'}|$INPUT{'status'}|$INPUT{'jdate'}|$INPUT{'name'}|$INPUT{'hobbies'}|$INPUT{'connection'}|$INPUT{'favgame'}|$INPUT{'classes'}|$INPUT{'compspec'}|$INPUT{'location'}|$INPUT{'email'}|$INPUT{'icq'}|$INPUT{'pquote'}|$INPUT{hemail}|$INPUT{hicq}|$pass|$myposagent|$myposengineer|$myposflametrooper|$myposgrenadier|$myposminigunner|$myposparamedic|$myposrecon|$mypossniper|$mypossoldier|$doro";
}
open(MemberFile,">$VAR::MEP/$INPUT{login}.db") || &error("$! $VAR::MEP/$INPUT{login}.db");
flock(MemberFile, 2);
print MemberFile $players_dat;
flock(MemberFile, 8);
close(MemberFile);
open(Memberslist,"<$VAR::MDB") || &error("$! $VAR::MDB");
@Memberslist = <Memberslist>;
close(Memberslist);
$i=0;
foreach $line (@Memberslist) {
($mem,$stat)=split(/\|/,$line);
if($mem eq "$INPUT{login}") {
$Memberslist[$i]="$mem|$INPUT{status}\n";
}
$i++;
}
open(Memberslist,">$VAR::MDB") || print("$! $VAR::MDB");
flock(Memberslist, 2);
foreach $memberlst (@Memberslist) {
print Memberslist "$memberlst";
}
flock(Memberslist, 8);
close(Memberslist);
&DisplayMembers("$message");
}
}

sub DelMember {
if($VAR::DM == 1) {
$message ="<center><font color=#7D0000 size=2><B>This Function Is Disabled In Demo Mode!</B></font></center>";
&DisplayMembers("$message");
}
if($VAR::DM == 0) {
$message ="<center><font color=#00FF19><B>\"$INPUT{delete}\" Has been Successfully Deleted!</B></font></center>";
open(DeleteMember,"<$VAR::MDB") || &error("$! $VAR::MDB");
@DeleteMember=<DeleteMember>;
close(DeleteMember);
open(DelMember,">$VAR::MDB") || &error("$! $VAR::MDBb");
flock(DelMember, 2);
foreach $line (@DeleteMember) {
($mem,$stat)=split(/\|/,$line);
print DelMember "$line" unless($mem eq "$INPUT{delete}");
}
flock(DelMember, 8);
close(DelMember);
unlink("$VAR::MEP/$INPUT{delete}.db");
&DisplayMembers("$message");
}
}

sub DisplaySmatches {
&head;
$x=11;
print qq~
<center>
<table width="95%" border="2" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#00273F">
<td colspan=$x><center><font size="2" color="#FFFFFF"><B>$VAR::CN Scheduled Matches</B></font></center></td>
</tr>
<tr bgcolor="#003B61">
<td><center><font size="2" color="#FFFFFF"><B>Date</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Opponent</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Map</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Match Type</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Game Mode</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>League</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Players Signedup</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Needed Achieved?</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Re-Send E-mail</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Append</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Edit</B></font></center></td>
</tr>~;
if(-z "$VAR::SMDB") {
print qq~
<tr bgcolor="#B3B3B3">
<td colspan=$x><center><font size="2"><B>There Is Currently No Matches Scheduled!</B></font></center></td>
</tr>~;
} else {
open(SmatchDB,"<$VAR::SMDB") || &error("$! $VAR::SMDB");
@SmatchDB = <SmatchDB>;
close(SmatchDB);
foreach $line (@SmatchDB) {
($smatchname,$smatchusers)=split(/\|/,$line);
open(ScheduledGame,"<$VAR::SMD/$smatchname.db") || &error("$! $VAR::SMD/$smatchname.db");
@ScheduledGame = <ScheduledGame>;
close(ScheduledGame);
open(SmatchUsers,"<$VAR::SMD/$smatchusers") || &error("$! $VAR::SMD/$smatchusers");
@SmatchUsers = <SmatchUsers>;
close(SmatchUsers);
foreach $line (@ScheduledGame) {
($mdate,$mtime,$opponent,$opponenturl,$playnum,$map,$matchtype,$gamemode,$league,$server,$serverpass,$info)=split(/\|/,$line);
print qq~
<tr onmouseover="con(this);" onmouseout="coff(this);">
<td><center><font size="2"><B>$mdate - $mtime</B></font></center></td>
<td><center><font size="2">~;
if($VAR::OL eq "1") {
if($opponenturl eq "http://") {
print qq~<B>$opponent</B></font></center></td>~;}
else {
print qq~<a href="$opponenturl" target="_blank"><B>$opponent</B></A></font></center></td>~;}
}
if($VAR::OL eq "2"){print qq~<B>$opponent</B></font></center></td>~;}
print qq~
<td><center><font size="2"><B>$map</B></font></center></td>
<td><center><font size="2"><B>$matchtype</B></font></center></td>
<td><center><font size="2"><B>$gamemode</B></font></center></td>
<td><center><font size="2"><B>$league</B></font></center></td>
<td><center><font size="2">~;
$getusers = 0;
foreach $line (@SmatchUsers) {
($memsmatchplay,$rucoming,$positions1,$positions2)=split(/\|/,$line);
$getusers++;
}
print qq~<a href="$ENV{SCRIPT_NAME}?goto=GetSignup&$smatchname" target="SMatch" onclick="MS_popWindow('$ENV{SCRIPT_NAME}?goto=GetSignup&$smatchname','SMatch','width=550,height=415,scrollbars,resizable')"><B>$getusers</B></A></font></center></td>
<td><center><font size="2"><B>~;
if($playnum > $getusers) {print "No\n";}
elsif($playnum >= $getusers) {print "Yes\n";}
print qq~</B></font></center></td>
<td><center><a href="$ENV{SCRIPT_NAME}?goto=SmatchEmail&$smatchname"><B>Re-Send E-mail</B></A></center></td>
<td><center><a href="$ENV{SCRIPT_NAME}?goto=AppendMatch&$smatchname"><B>Append</B></A></center></td>
<td><center><a href="$ENV{SCRIPT_NAME}?goto=ModifySmatch&$smatchname"><B>Edit</B></A></center></td>
</tr>~;
}
}
}
print "</table></center><BR><BR>";
&foot;
}

sub ShowSignup {
$open = $ad_key;
$open .="users";
print qq~
<html>
<head>
<title>~;
if(-z "$VAR::SMD/$open.db") {print qq~No Members Signed Up!~;
} elsif(-T "$VAR::SMD/$open.db") {print qq~List Of Signed Up Members!~;}
print qq~</title>
</head>
<body bgcolor="#555555" text="#000000" link="#000071" vlink="#000071" TOPMARGIN="0" LEFTMARGIN="0" RIGHTMARGIN="0">~;
open(SmatchUsers,"<$VAR::SMD/$open.db") || &error("$! $VAR::SMD/$open.db");
@SmatchUsers = <SmatchUsers>;
close(SmatchUsers);
$num = 0;
foreach $line (@SmatchUsers) {$num++;}
open(ScheduledGame,"$VAR::SMD/$ad_key.db") || &error("$! $VAR::SMD/$ad_key.db");
while($line = <ScheduledGame>) {
@ScheduledGame = split(/\|/,$line);
close(ScheduledGame);
}
my $mdate = shift(@ScheduledGame);
my $mtime = shift(@ScheduledGame);
my $opponent = shift(@ScheduledGame);
my $opponenturl = shift(@ScheduledGame);
my $playnum = shift(@ScheduledGame);
my $map = shift(@ScheduledGame);
my $matchtype = shift(@ScheduledGame);
my $gamemode = shift(@ScheduledGame);
my $league = shift(@ScheduledGame);
my $server = shift(@ScheduledGame);
my $serverpass = shift(@ScheduledGame);
my $info = shift(@ScheduledGame);
print qq~
<center><table width="100%" border="1" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#B3B3B3">
<td colspan=2><B>Opponent:</B>$VAR::CN Vs~;
if($VAR::OL eq "1") {print qq~ <a href="$opponenturl" target="_blank">$opponent</A></td>~;}
elsif($VAR::OL eq "2"){print qq~$opponent</td>~;}
print qq~
<td colspan=2><B>Players Signed Up:</B> $num</td>
</tr>
<tr bgcolor="#B3B3B3">
<td colspan=2><B>Date/Time:</B>$mdate - $mtime</td>
<td colspan=2><B>Map:</B> $map</td>
</tr>
<tr bgcolor="#B3B3B3">
<td colspan=2><B>Server:</B> $server</td>
<td colspan=2><B>Server Pass:</B> $serverpass</td>
</tr>
<tr bgcolor="#B3B3B3">
<td colspan=2><B>League:</B> $league</td>
<td colspan=2><B>Match Type:</B> $matchtype</td>
</tr>
<tr bgcolor="#B3B3B3">
<td colspan=2><B>Players Needed:</B> $playnum</td>
<td colspan=2><B>Game Mode:</B> $gamemode</td>
</tr>
<tr bgcolor="#00273F">
<td colspan=4><center><font color="#FFFFFF"><B>Info/Comments:</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<td colspan=4><center>$info</center></td>
</tr>
</table><BR>
<table width="100%" border="1" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#00273F">
<td colspan=3><center><font color="#FFFFFF"><B>Signed Up Members:</B></font></center></td>
</tr>
<tr bgcolor="#003B61">
<td><center><font color="#FFFFFF"><B>Player</B></font></center></td>
<td><center><font color="#FFFFFF"><B>Rnd 1 Pos</B></font></center></td>
<td><center><font color="#FFFFFF"><B>Rnd 2 Pos</B></font></center></td>
</tr>~;
if(-z "$VAR::SMD/$open.db") {
print qq~
<tr bgcolor="#B3B3B3">
<td colspan="3"><center><font size="3"><B>You currently Have no Members Signed Up For this Match</B></font></center></td>
</tr>~;}
elsif(-T "$VAR::SMD/$open.db") {
foreach $line (@SmatchUsers) {
($memsmatchplay,$rucoming,$positions1,$positions2)=split(/\|/,$line);
print qq~<tr bgcolor="#B3B3B3">\n<td>
<a href="$ENV{SCRIPT_NAME}?goto=DisplayProfile&$memsmatchplay" target="Roster" onclick="MS_popWindow('$ENV{SCRIPT_NAME}?goto=DisplayProfile&$memsmatchplay','Roster','width=600,height=420,scrollbars,resizable')">~;
if($rucoming eq "nc") { print qq~<font color="#810202">~;}
elsif ($rucoming eq "mb") {print qq~<font color="#6E8102">~;}
elsif ($rucoming eq "ys") {print qq~<font color="#028114">~;}
print qq~<B>$memsmatchplay</B></A></font></td>\n<TD>$positions1</td>\n<TD>$positions2</td>\n</tr>\n~;
}
}
print qq~</table></center><BR>

<center><table width="30%" border="0" cellspacing="1" cellpadding="1">
<tr>
<TD><center><img src="$VAR::UI/mb.gif" border="0" width="13" height="13" ALT="Maybe"></center></td>
<TD><center><img src="$VAR::UI/nc.gif" border="0" width="13" height="13" ALT="Not Coming"></center></td>
<TD><center><img src="$VAR::UI/ys.gif" border="0" width="13" height="13" ALT="Yes Coming"></center></td>
</tr>
</table></center><BR>
~;
&foot;
}

sub SmatchEmail {
if($VAR::DM == 1) {
$message ="<center><font color=#7D0000 size=2><B>This Function Is Disabled In Demo Mode!</B></font></center>";
&DisplaySmatches("$message");
}
if($VAR::DM == 0) {
$message = "<center><font color=#00FF19><B>E-mail Has successfully Been Resent!</B></FONT></center>";
open(SmatchInfo,"<$VAR::SMD/$ad_key.db") || &error("$! $VAR::SMD/$ad_key.db");
@SmatchInfo = <SmatchInfo>;
close(SmatchInfo);
foreach $line (@SmatchInfo) {
($mdate,$mtime,$opponent,$opponenturl,$playnum,$map,$matchtype,$gamemode,$league,$server,$serverpass,$extrainfo)=split(/\|/,$line);
open(NSM,"<$VAR::NSM") || &error("$! $VAR::NSM");
while (<NSM>){
$NSM .= $_;
}
close(NSM);
$INFO = $VAR::CN;
$NSM =~s/<!--CLAN-->/$INFO/g;
$INFO = $VAR::UC;
$INFO .="/login.cgi";
$NSM =~s/<!--LOGURL-->/$INFO/g;
$INFO = $opponent;
$NSM =~s/<!--OPPONENT-->/$INFO/g;
$INFO = $mdate;
$NSM =~s/<!--MDATE-->/$INFO/g;
$INFO = $mtime;
$NSM =~s/<!--MTIME-->/$INFO/g;
$INFO = $playnum;
$NSM =~s/<!--PLAYNUM-->/$INFO/g;
$INFO = $map;
$NSM =~s/<!--MAP-->/$INFO/g;
$INFO = $matchtype;
$NSM =~s/<!--MATCHTYPE-->/$INFO/g;
$INFO = $gamemode;
$NSM =~s/<!--GAMEMODE-->/$INFO/g;
$INFO = $extrainfo;
$NSM =~s/<!--INFO-->/$INFO/g;
$INFO = $VAR::AE;
$NSM =~s/<!--FROM-->/$INFO/g;
}
open(GetMember,"$VAR::MDB") || &error("$! $VAR::MDB");
@GetMember=<GetMember>;
close(GetMember);
foreach $line (@GetMember) {
($mem,$stat)=split(/\|/,$line);
open(GotMember, "$VAR::MEP/$mem.db") || &error("$! $VAR::MEP/$mem.db");
@GotMember=<GotMember>;
close(GotMember);
foreach $line (@GotMember) {
($playernick,$rank,$status,$joindate,$name,$hobbies,$connection,$favgame,$classes,$compspec,$location,$email,$icq,$quote,$hemail,$hicq,$pass,$myposagent,$myposengineer,$myposflametrooper,$myposgrenadier,$myposminigunner,$myposparamedic,$myposrecon,$mypossniper,$mypossoldier,$doro)=split(/\|/,$line);
if($status eq "Active") {
open(SENDMAIL,"|$VAR::SM -t") || &error("I Can't Send E-mail(s)");
print SENDMAIL "To: $email\n";
print SENDMAIL "From: $VAR::AE\n";
print SENDMAIL "Subject: $VAR::CN Has Scheduled A Match\n";
print SENDMAIL "$NSM\n";
close(MAIL);}
}
}
&DisplaySmatches("$message");
}
}

sub AppendSmatch {
&head;
open(AppendSmatch,"<$VAR::SMD/$ad_key.db") || &error("$! $VAR::SMD/$ad_key.db");
@AppendSmatch = <AppendSmatch>;
close(AppendSmatch);
foreach $line (@AppendSmatch) {
($mdate,$mtime,$opponent,$opponenturl,$playnum,$map,$matchtype,$gamemode,$league,$server,$serverpass,$info)=split(/\|/,$line);
print qq~
<center>
<form action="$ENV{SCRIPT_NAME}" method=POST>
<table width="55%" border="2" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#00273F">
<td colspan=2><center><font color="#FFFFFF"><B>Append New Match To Database</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Date:</B></td>
<TD width="70%"><input type=text name="date" value="$mdate" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3"> 
<TD width="30%"><B>Opponent:</B></td>
<TD width="70%">$opponent</td>
</tr>~;
if($VAR::OL eq "1") {
print qq~<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Opponent Url:</B></td>
<TD width="70%"><input type=text name="ourl" value="$opponenturl" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>~;}
print qq~
<tr bgcolor="#B3B3B3"> 
<TD width="30%"><B>Map:</B></td>
<TD width="70%"><select name="map">~;
open (MAPS,"<$VAR::MAPDB") || print("$! $VAR::MAPDB");
@maps = <MAPS>;
close (MAPS);
@maps = sort(@maps);
foreach $mapslist (@maps) {
chop ($mapslist) if ($mapslist =~ /\n$/);
if($mapslist eq "$map") {
print "<option value=\"$mapslist\" SELECTED>$mapslist</option>\n";}
else {print "<option value=\"$mapslist\">$mapslist</option>\n";}
}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Match Type:</B></td>
<TD width="70%"><select name="matchtype">~;
if($matchtype eq "Regular") {print "<option value=\"Regular\" selected>Regular</option>\n";}
else {print "<option value=\"Regular\">Regular</option>\n";}
if($matchtype eq "Title Shot") {print "<option value=\"Title Shot\" selected>Title Shot</option>\n";}
else {print "<option value=\"Title Shot\">Title Shot</option>\n";}
if($matchtype eq "Title Match") {print "<option value=\"Title Match\" selected>Title Match</option>\n";}
else {print "<option value=\"Title Match\">Title Match</option>\n";}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3"> 
<TD width="30%"><B>Game Mode:</B></td>
<TD width="70%"><select name="gamemode">~;
open(GAMEMODE,"<$VAR::GDB") || print("$! $VAR::GDB");
@GAMEMODE = <GAMEMODE>;
close (GAMEMODE);
@GAMEMODE = sort(@GAMEMODE);
foreach $gamemodelist (@GAMEMODE) {
chop ($gamemodelist) if ($gamemodelist =~ /\n$/);
if($gamemodelist eq "$gamemode") {
print "<option value=\"$gamemodelist\" SELECTED>$gamemodelist</option>\n";}
else {print "<option value=\"$gamemodelist\">$gamemodelist</option>\n";}
}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3"> 
<TD width="30%"><B>League Type:</B></td>
<TD width="70%"><select name="league">~;
open (FILE,"<$VAR::LDB") || print("$! $VAR::LDB");
@league = <FILE>;
close (FILE);
foreach $leaguelist (@league) {
chop ($leaguelist) if ($leaguelist =~ /\n$/);
if($leaguelist eq "$league") {print "<option value=\"$leaguelist\" SELECTED>$leaguelist</option>\n";}
else {print "<option value=\"$leaguelist\">$leaguelist</option>\n";}
}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3"> 
<TD width="30%"><B>Opponent Score:</B></td>
<TD width="70%"><input type=text name="opponentscore" size="5" maxlength="5" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3"> 
<TD width="30%"><B>Your Score:</B></td>
<TD width="70%"><input type=text name="yourscore" size="5" maxlength="5"  style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>~;
if($VAR::SS eq "1") {
print qq~<tr bgcolor="#B3B3B3"> 
<TD width="30%"><B>Game Screen Shot:</B></td>
<TD width="70%"><input type=text name="screen" value="http://" size="50" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>~;}
if($VAR::MAS eq "1") {
print qq~<tr bgcolor="#B3B3B3"> 
<TD width="30%"><B>1st Round Stats Url:</B></td>
<TD width="70%"><input type=text name="rnd1stat" value="http://" size="50" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3"> 
<TD width="30%"><B>2nd Round Stats Url:</B></td>
<TD width="70%"><input type=text name="rnd2stat" value="http://" size="50" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>~;}
if($VAR::GN eq "1") {
print qq~<tr bgcolor="#B3B3B3"> 
<TD width="30%"><B>Game Notes:</B></td>
<TD width="70%"><input type=text name="comments" size="50" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>~;}
print qq~<tr bgcolor="#B3B3B3">
<TD colspan=2><center><input type="hidden" name="opponent" value="$opponent"><input type="submit" name="goto" value="Append Match To Database">&nbsp;&nbsp;<INPUT TYPE="reset" VALUE="Reset!"></center></td>
</tr>
</table></form></center><BR>~;
&foot;
}
}

sub AppendTheSmatch {
if($VAR::DM == 1) {
$message ="<center><font color=#7D0000 size=2><B>This Function Is Disabled In Demo Mode!</B></font></center>";
&DisplayMatches("$message");
}
if($VAR::DM == 0) {
if($INPUT{opponentscore} eq "") {
$message = "<center><font color=#7D0000><B>No Data Was Supplied For Your Opponents Score!</B></FONT></center>";
&DisplayMatches("$message");}
elsif($INPUT{yourscore} eq "") {
$message = "<center><font color=#7D0000><B>No Data Was Supplied For Your Score!</B></FONT></center>";
&DisplayMatches("$message");
} else {
$message = "<center><font color=#00FF19><B>The Match Between $VAR::CN Vs $INPUT{opponent} Has Been Successfully Added!</B></FONT></center>";
open(AppendTheSmatch,"<$VAR::MADB") || &error("$! $VAR::MADB");
@AppendTheSmatch = <AppendTheSmatch>;
close (AppendTheSmatch);
@idgen=(a..Z,1..9);
$time=time;
srand();
$keyid="";
$keyid .= "ms";
$keyid .= substr($time,6,10);
$keyid .= $idgen[rand($#idgen)];
$keyid .= $idgen[rand($#idgen)];
$keyid .= $idgen[rand($#idgen)];
$keyid .= $idgen[rand($#idgen)];
if($INPUT{opponentscore} > $INPUT{yourscore}) {
$oscore = "$INPUT{opponentscore}";
$yscore = "$INPUT{yourscore}";
$overal = "Loss";}
elsif($INPUT{yourscore} > $INPUT{opponentscore}) {
$oscore = "$INPUT{opponentscore}";
$yscore = "$INPUT{yourscore}";
$overal = "Win";}
elsif($INPUT{opponentscore} eq "f") {
$oscore = "$INPUT{opponentscore}";
$yscore = "$INPUT{yourscore}";
$overal = "They Forfeited";}
elsif($INPUT{yourscore} eq "f") {
$oscore = "$INPUT{opponentscore}";
$yscore = "$INPUT{yourscore}";
$overal = "We Forfeited";}
elsif($INPUT{opponentscore} eq "F") {
$oscore = "$INPUT{opponentscore}";
$yscore = "$INPUT{yourscore}";
$overal = "They Forfeited";}
elsif($INPUT{yourscore} eq "F") {
$oscore = "$INPUT{opponentscore}";
$yscore = "$INPUT{yourscore}";
$overal = "We Forfeited";}
$newInfo="$keyid|$INPUT{date}|$INPUT{opponent}|$INPUT{ourl}|$INPUT{league}|$INPUT{matchtype}|$INPUT{gamemode}|$INPUT{map}|$oscore|$yscore|$INPUT{screen}|$INPUT{rnd1stat}|$INPUT{rnd2stat}|$INPUT{comments}|$overal\n";
unshift(@AppendTheSmatch, $newInfo);
open (AppendTheSmatch,">$VAR::MADB") || &error("$! $VAR::MADB");
flock(AppendTheSmatch, 2);
foreach $line (@AppendTheSmatch) {
print AppendTheSmatch "$line";
}
flock(AppendTheSmatch, 8);
close(AppendTheSmatch);
open(SMATCHDB,"<$VAR::SMDB") || &error("$! $VAR::SMDB");
@SMATCHDB = <SMATCHDB>;
close(SMATCHDB);
open(DelSmatch,">$VAR::SMDB") || &error("$! $VAR::SMDB");
flock(DelSmatch, 2);
foreach $line (@SMATCHDB) {
my @DelTheSmatch = split(/\|/,$line);
print DelSmatch "$line" unless($DelTheSmatch[0] eq "$INPUT{opponent}");
}
flock(DelSmatch, 8);
close(DelSmatch);
unlink("$VAR::SMD/$INPUT{opponent}.db");
unlink("$VAR::SMD/$INPUT{opponent}users.db");
&DisplayMatches("$message");
}
}
}

sub ModifySmatch {
&head;
open(ModifySmatch,"<$VAR::SMD/$ad_key.db") || &error("$! $VAR::SMD/$ad_key.db");
@ModifySmatch = <ModifySmatch>;
close(ModifySmatch);
foreach $line (@ModifySmatch) {
($mdate,$mtime,$opponent,$opponenturl,$playnum,$map,$matchtype,$gamemode,$league,$server,$serverpass,$info)=split(/\|/,$line);
print qq~
<center>
<form action="$ENV{SCRIPT_NAME}" method=POST>
<table width="55%" border="2" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#00273F">
<td colspan=2><center><font color="#FFFFFF"><B>Modify Scheduled Match Between $VAR::CN Vs $opponent</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Match Date:</B></td>
<TD width="70%"><input type=text name="mdate" value="$mdate" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Match Time:</B></td>
<TD width="70%"><input type=text name="mtime" value="$mtime" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Opponent:</B></td>
<TD width="70%">$opponent</td>
</tr>~;
if($VAR::OL eq "1") {print qq~<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Opponent Url:</B></td>
<TD width="70%"><input type=text name="opponenturl" value="$opponenturl" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>~;}
print qq~<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Players Needed:</B></td>
<TD width="70%"><input type=text name="playnum" value="$playnum" size="5" maxlength="5" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Map:</B></td>
<TD width="70%"><select name="map">~;
open (MAPS,"<$VAR::MAPDB") || &error("$! $VAR::MAPDB");
@maps = <MAPS>;
close (MAPS);
@maps = sort(@maps);
foreach $mapslist (@maps) {
chop ($mapslist) if ($mapslist =~ /\n$/);
if($mapslist eq "$map") {
print "<option value=\"$mapslist\" SELECTED>$mapslist</option>\n";}
else {print "<option value=\"$mapslist\">$mapslist</option>\n";}
}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Match Type:</B></td>
<TD width="70%"><select name="matchtype">~;
if($matchtype eq "Regular") {print "<option value=\"Regular\" selected>Regular</option>\n";}
else {print "<option value=\"Regular\">Regular</option>\n";}
if($matchtype eq "Title Shot") {print "<option value=\"Title Shot\" selected>Title Shot</option>\n";}
else {print "<option value=\"Title Shot\">Title Shot</option>\n";}
if($matchtype eq "Title Match") {print "<option value=\"Title Match\" selected>Title Match</option>\n";}
else {print "<option value=\"Title Match\">Title Match</option>\n";}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Game Mode:</B></td>
<TD width="70%"><select name="gamemode">~;
open(GAMEMODE,"<$VAR::GDB") || &error("$! $VAR::GDB");
@GAMEMODE = <GAMEMODE>;
close (GAMEMODE);
@GAMEMODE = sort(@GAMEMODE);
foreach $gamemodelist (@GAMEMODE) {
chop ($gamemodelist) if ($gamemodelist =~ /\n$/);
if($gamemodelist eq "$gamemode") {
print "<option value=\"$gamemodelist\" SELECTED>$gamemodelist</option>\n";}
else {print "<option value=\"$gamemodelist\">$gamemodelist</option>\n";}
}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3"> 
<TD width="30%"><B>League Type:</B></td>
<TD width="70%"><select name="league">~;
open (FILE,"<$VAR::LDB") || &error("$! $VAR::LDB");
@league = <FILE>;
close (FILE);
foreach $leaguelist (@league) {
chop ($leaguelist) if ($leaguelist =~ /\n$/);
if($leaguelist eq "$league") {
print "<option value=\"$leaguelist\" SELECTED>$leaguelist</option>\n";}
else {print "<option value=\"$leaguelist\">$leaguelist</option>\n";}
}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Server:</B></td>
<TD width="70%"><input type=text name="server" value="$server" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Server Password:</B></td>
<TD width="70%"><input type=text name="serverpass" value="$serverpass" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Extra Info:</B></td>
<TD width="70%"><input type=text name="info" value="$info" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<td colspan=2><center><input type="hidden" name="ModifySmatch" value="$opponent"><input type=submit name="goto" value="Modify Scheduled Match">&nbsp;&nbsp;<INPUT TYPE="reset" VALUE="Reset!"></center></td>
</tr>
</table></form><BR>

<form action="$ENV{SCRIPT_NAME}" method=POST>
<table width="25%" border="2" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#B3B3B3">
<td colspan="2"><center>Delete This Scheduled Match: <input type="checkbox" name="delete" value="$opponent"></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<td colspan="2"><center><input type="submit" name="goto" value="Delete Scheduled Match"></center></td>
</tr>
</table></form></center><BR>~;
&foot;
}
}

sub ModifyTheSmatch {
if($VAR::DM == 1) {
$message ="<center><font color=#7D0000 size=2><B>This Function Is Disabled In Demo Mode!</B></font></center>";
&DisplaySmatches("$message");
}
if($VAR::DM == 0) {
$message = "<center><font color=#00FF19><B>Scheduled Match Between $VAR::CN Vs $INPUT{opponent} Has Been Successfully Modified!</B></FONT></center>";
open(ModifyTheSmatch,"<$VAR::SMD/$INPUT{ModifySmatch}.db") || &error("$! $VAR::SMD/$ad_key.db");
@ModifyTheSmatch=<ModifyTheSmatch>;
close(ModifyTheSmatch);
$i=0;
foreach $line (@ModifyTheSmatch) {
($mdate,$mtime,$opponent,$opponenturl,$playnum,$map,$matchtype,$gamemode,$league,$server,$serverpass,$info)=split(/\|/,$line);
$ModifyTheSmatch[$i]="$INPUT{mdate}|$INPUT{mtime}|$opponent|$INPUT{opponenturl}|$INPUT{playnum}|$INPUT{map}|$INPUT{matchtype}|$INPUT{gamemode}|$INPUT{league}|$INPUT{server}|$INPUT{serverpass}|$INPUT{info}\n";
$i++;
}
open(ModifyTheSmatch,">$VAR::SMD/$INPUT{ModifySmatch}.db") || &error("$! $VAR::SMD/$ad_key.db");
flock(ModifyTheSmatch, 2);
foreach $smatch (@ModifyTheSmatch){ 
print ModifyTheSmatch "$smatch";
}
flock(ModifyTheSmatch, 8);
chmod(0777,"$VAR::SMD/$INPUT{ModifySmatch}.db");
close(ModifyTheSmatch);
&DisplaySmatches("$message");
}
}

sub DelSmatch {
if($VAR::DM == 1) {
$message ="<center><font color=#7D0000 size=2><B>This Function Is Disabled In Demo Mode!!</B></font></center>";
&DisplayMatches("$message");
}
if($VAR::DM == 0) {
$message ="<center><font color=#00FF19><B>Scheduled Match Between $VAR::CN Vs \"$INPUT{'delete'}\" Has Been Successfully Deleted!</B></font></center>";
open(DelSmatch,"<$VAR::SMDB") || &error("$! $VAR::SMDB");
@DelSmatch = <DelSmatch>;
close(DelSmatch);
open(DelSmatch,">$VAR::SMDB") || &error("$! $VAR::SMDB");
flock(DelSmatch, 2);
foreach $line (@DelSmatch) {
my @DelTheSmatch = split(/\|/,$line);
print DelSmatch "$line" unless($DelTheSmatch[0] eq "$INPUT{delete}");
}
flock(DelSmatch, 8);
close(DelSmatch);
unlink("$VAR::SMD/$INPUT{'delete'}.db");
unlink("$VAR::SMD/$INPUT{'delete'}users.db");
&DisplaySmatches($message);
}
}

sub DisplayLeagues {
&head;
print qq~
<center>
<table width="55%" border="2" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#00273F">
<td><center><font color="#FFFFFF"><B>Current Leagues In Database</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<td><center>~;
open(DisplayLeagues,"<$VAR::LDB") || &error("$! $VAR::LDB");
@DisplayLeagues = <DisplayLeagues>;
close(DisplayLeagues);
@DisplayLeagues = sort(@DisplayLeagues);
foreach $line (@DisplayLeagues) {
print "<B>$line</B><BR>";}
print qq~</center></td>
</tr>
</table><BR>

<form action="$ENV{SCRIPT_NAME}" method=POST>
<table width="45%" border="2" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#00273F">
<td colspan=2><center><font color="#FFFFFF"><B>Add New League To Database</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>League Name:</B></td>
<TD width="70%"><input type=text name="LeagueName" size="50" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<td colspan=2><center><input type=submit name="goto" value="Add League">&nbsp;&nbsp;<INPUT TYPE="reset" VALUE="Reset!"></center></td>
</tr>
</table></form><BR>

<form action="$ENV{SCRIPT_NAME}" method=POST>
<table width="45%" border="2" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#00273F">
<td colspan=2><center><font color="#FFFFFF"><B>Delete League From Database</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>League Name:</B></td>
<TD width="70%"><input type=text name="DelLeague" size="50" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<td colspan=2><center><input type=submit name="goto" value="Delete League">&nbsp;&nbsp;<INPUT TYPE="reset" VALUE="Reset!"></center></td>
</tr>
</table></form></center><BR>
~;
&foot;
}

sub AddLeague {
if($VAR::DM == 1) {
$message ="<center><font color=#7D0000 size=2><B>This Function Is Disabled In Demo Mode!</B></font></center>";
&DisplayLeagues("$message");
}
if($VAR::DM == 0) {
if($INPUT{LeagueName} eq "") {
$message = "<center><font color=#7D0000><B>No League Was added Due to no input!</B></FONT></center>";
&DisplayLeagues("$message");
} else {
$exists=0;
open(CheckLeagues,"<$VAR::LDB") || &error("$! $VAR::LDB");
@CheckLeagues = <CheckLeagues>;
close(CheckLeagues);
foreach $line (@CheckLeagues) {
($checktheleague)=split(/\n$/,$line);
if($INPUT{LeagueName} eq "$checktheleague") {$exists=1;}
}
if($exists == 1) {
$message = "<center><font color=#7D0000><B>\"$INPUT{LeagueName}\" Already Exists!</B></FONT></center>";
&DisplayLeagues("$message");
}
if($exists == 0) {
$message = "<center><font color=#00FF19><B>\"$INPUT{LeagueName}\" Has Been Successfully Added!</B></FONT></center>";
open (LEAGUEADD,">>$VAR::LDB") || &error("$! $VAR::LDB");
flock(LEAGUEADD, 2);
print LEAGUEADD "$INPUT{LeagueName}\n";
flock(LEAGUEADD, 8);
close(LEAGUEADD);
&DisplayLeagues("$message");
}
}
}
}

sub DelLeague {
if($VAR::DM == 1) {
$message ="<center><font color=#7D0000 size=2><B>This Function Is Disabled In Demo Mode!</B></font></center>";
&DisplayLeagues("$message");
}
if($VAR::DM == 0) {
if($INPUT{DelLeague} eq "") {
$message = "<center><font color=#7D0000><B>No League Was Deleted Due To No Input!</B></FONT></center>";
&DisplayLeagues("$message");
} else {
$dnexists = 0;
open(DelLeague,"<$VAR::LDB") || &error("$! $VAR::LDB");
@DelLeague = <DelLeague>;
close(DelLeague);
foreach $line (@DelLeague) {
($DelTheLeague)=split(/\n$/,$line);
if($INPUT{DelLeague} eq "$DelTheLeague") {$dnexists=1;}
}
if($dnexists == 1) {
$message ="<center><font color=#00FF19><B>\"$INPUT{DelLeague}\" Has been Successfully Deleted!</B></FONT></center>";
open(DelLeague,"<$VAR::LDB") || &error("$! $VAR::LDB");
@DelLeague=<DelLeague>;
close(DelLeague);
foreach $line (@DelLeague) {
chop ($line) if ($line =~ /\n$/);
}
open(DelLeague,">$VAR::LDB") || &error("$! $VAR::LDB");
flock(DelLeague, 2);
foreach $line (@DelLeague) {
unless ($line eq $INPUT{DelLeague}) {
print DelLeague ("$line\n");}
}
flock(DelLeague, 8);
close(DelLeague);
&DisplayLeagues("$message");
} else {
$message = "<center><font color=#7D0000><B>\"$INPUT{DelLeague}\" Dose Not Exists!</B></FONT></center>";
&DisplayLeagues("$message");
}
}
}
}
sub DisplayMaps {
&head;
print qq~
<center>
<table width="45%" border="2" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#00273F"><td><center><font color="#FFFFFF"><B>Current Maps In Database</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<td><center>~;
open(Displaymaps,"<$VAR::MAPDB") || print("$! $VAR::MAPDB");
@Displaymaps = <Displaymaps>;
close(Displaymaps);
@Displaymaps = sort(@Displaymaps);
foreach $line (@Displaymaps) {
print "<B>$line</B><BR>";
}
print qq~</center></td>
</tr></table><BR>

<form action="$ENV{SCRIPT_NAME}" method=POST>
<table width="45%" border="2" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#00273F">
<td colspan=2><center><font color="#FFFFFF"><B>Add New Map To Database</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Map Name:</B></td>
<TD width="70%"><input type=text name="MapName" size="50" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<td colspan=2><center><input type=submit name="goto" value="Add Map">&nbsp;&nbsp;<INPUT TYPE="reset" VALUE="Reset!"></center></td>
</tr>
</table></form><BR>

<form action="$ENV{SCRIPT_NAME}" method=POST>
<table width="45%" border="2" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#00273F">
<td colspan=2><center><font color="#FFFFFF"><B>Delete Map From Database</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Map Name:</B></td>
<TD width="70%"><input type=text name="DelMap" size="50" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<td colspan=2><center><input type=submit name="goto" value="Delete Map">&nbsp;&nbsp;<INPUT TYPE="reset" VALUE="Reset!"></center></td>
</tr>
</table>
</form></center><BR>
~;
&foot;
}

sub AddMap {
if($VAR::DM == 1) {
$message ="<center><font color=#7D0000 size=2><B>This Function Is Disabled In Demo Mode!</B></font></center>";
&DisplayMaps("$message");
}
if($VAR::DM == 0) {
if($INPUT{MapName} eq "") {
$message = "<center><font color=#7D0000><B>No Map Was added Due to no input!</B></FONT></center>";
&DisplayMaps("$message");
} else {
$exists = 0;
open(CheckMaps,"<$VAR::MAPDB") || print("$! $VAR::MAPDB");
@CheckMaps = <CheckMaps>;
close(CheckMaps);
foreach $line (@CheckMaps) {
($checkthemap)=split(/\n$/,$line);
if($INPUT{MapName} eq "$checkthemap") {$exists=1;}
}
if($exists == 1) {
$message = "<center><font color=#7D0000><B>\"$INPUT{MapName}\" Already Exists!</B></FONT></center>";
&DisplayMaps("$message");
}
if($exists == 0) {
$message = "<center><font color=#00FF19><B>\"$INPUT{MapName}\" Has Been Successfully Added!</B></FONT></center>";
open (AddMap,">>$VAR::MAPDB") || &error("$! $VAR::MAPDB");
flock(AddMap, 2);
print AddMap "$INPUT{MapName}\n";
flock(AddMap, 8);
close(AddMap);
&DisplayMaps("$message");
}
}
}
}

sub DelMap {
if($VAR::DM == 1) {
$message ="<center><font color=#7D0000 size=2><B>This Function Is Disabled In Demo Mode!</B></font></center>";
&DisplayMaps("$message");
}
if($VAR::DM == 0) {
if($INPUT{DelMap} eq "") {
$message = "<center><font color=#7D0000><B>No Map Was Deleted Due To No Input!</B></FONT></center>";
&DisplayMaps("$message");
} else {
$dnexists = 0;
open(DelMap,"<$VAR::MAPDB") || &error("$! $VAR::MAPDB");
@DelMap = <DelMap>;
close(DelMap);
foreach $line (@DelMap) {
($DelTheMap)=split(/\n$/,$line);
if($INPUT{DelMap} eq "$DelTheMap") {$dnexists=1;}
}
if($dnexists == 1) {
$message ="<center><font color=#00FF19><B>\"$INPUT{DelMap}\" Has been Successfully Deleted</B></FONT></center>";
open(DelMap,"<$VAR::MAPDB") || &error("$! $VAR::MAPDB");
@DelMap=<DelMap>;
close(DelMap);
foreach $line (@DelMap) {
chop ($line) if ($line =~ /\n$/);
}
open(DelMap,">$VAR::MAPDB") || &error("$! $VAR::MAPDB");
flock(DelMap, 2);
foreach $line (@DelMap) {
unless ($line eq $INPUT{DelMap}) {
print DelMap ("$line\n");}
}
flock(DelMap, 8);
close(DelMap);
&DisplayMaps("$message");
} else {
$message = "<center><font color=#7D0000><B>\"$INPUT{DelMap}\" Dose Not Exists!</B></FONT></center>";
&DisplayMaps("$message");
}
}
}
}

sub EmailMembers {
&head;
print qq~
<center>
<form action="$ENV{SCRIPT_NAME}" method=POST>
<table width="55%" border="2" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#00273F"> 
<td colspan=2><center><font color="#FFFFFF"><B>Send E-mail To $VAR::CN Members</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<td width="30%"><font face="Arial" size="2"><b>Subject:</b></font></td>
<td width="70%"><input type="text" name="Subject" size="45" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<td colspan="2"><center><textarea name="Body" cols="90" rows="20" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></textarea></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD colspan=2><center><input type="submit" name="goto" value="Send E-mail">&nbsp;&nbsp;<INPUT TYPE="reset" VALUE="Reset!"></center></td>
</tr>
</table>
</form></center><BR>
~;
&foot;
}

sub SendEmail {
if($VAR::DM == 1) {
$message ="<center><font color=#7D0000 size=2><B>This Function Is Disabled In Demo Mode!</B></font></center>";
&DisplayMatches($message);
}
if($VAR::DM == 0) {
if($INPUT{Subject} eq "") {
$message = "<center><font color=#7D0000><B>No E-mail Was Sent Due To No Subject Provided!</B></FONT></center>";
&DisplayMatches($message);
} elsif($INPUT{Body} eq "") {
$message = "<center><font color=#7D0000><B>No E-mail Was Sent Due To No Body Provided!</B></FONT></center>";
&DisplayMatches($message);
} else {
$message = "<center><font color=#00FF19><B>E-mail To $VAR::CN Members Has Been Successfully sent!</B></FONT></center>";
$sentemails=0;
open(MembersDB,"<$VAR::MDB") || &error("$! $VAR::MDB");
@MembersDB = <MembersDB>;
close(MembersDB);
foreach $line (@MembersDB) {
($mem,$stat)=split(/\|/,$line);
open(Memberfile,"<$VAR::MEP/$mem.db") || &error("$! $VAR::MEP/$mem.db");
@Memberfile=<Memberfile>;
close(Memberfile);
foreach $line (@Memberfile) {
($playernick,$rank,$status,$joindate,$name,$hobbies,$connection,$favgame,$classes,$compspec,$location,$email,$icq,$quote,$hemail,$hicq,$pass,$myposagent,$myposengineer,$myposflametrooper,$myposgrenadier,$myposminigunner,$myposparamedic,$myposrecon,$mypossniper,$mypossoldier,$doro)=split(/\|/,$line);
if($status eq "Active") {
$sentemails++;
&SendMail("$email","$VAR::AE","$INPUT{Subject}","$INPUT{Body}");
}
}
}
&SendMail("$VAR::AE","$VAR::AE","E-mail Sent - $INPUT{Subject}","Your E-mail Has successfully been sent to $sentemails Active Clan members with the following Message:\n $INPUT{Body}");
&DisplayMatches($message);
}
}
}

sub DisplayRmvars {
&head;
print qq~
<center>
<form action="$ENV{SCRIPT_NAME}" method=POST>
<table width="55%" border="1" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#00273F">
<td colspan="2"><center><font size="2" color="#FFFFFF"><B>Match Template Variables</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Roster &amp; Match Table Width:</B></td>
<TD width="60%"><input type=text name="TW" value="$TPL::TW" size="5" maxlength="5" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Roster &amp; Match Border Size:</B></td>
<TD width="60%"><input type=text name="BS" value="$TPL::BS" size="5" maxlength="5" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Roster &amp; Match Border Color:</B></td>
<TD width="60%"><input type=text name="BC" value="$TPL::BC" size="8" maxlength="8" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Roster &amp; Match Table Cellspacing:</B></td>
<TD width="60%"><input type=text name="CS" value="$TPL::CS" size="4" maxlength="4" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Roster &amp; Match Table Cellpadding:</B></td>
<TD width="60%"><input type=text name="CP" value="$TPL::CP" size="4" maxlength="4" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Roster &amp; Match Title Bgcolor:</B></td>
<TD width="60%"><input type=text name="TBG" value="$TPL::TBG" size="8" maxlength="8" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Roster &amp; Match Title Font Color:</B></td>
<TD width="60%"><input type=text name="TFC" value="$TPL::TFC" size="8" maxlength="8" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Roster &amp; Match Title Font Size:</B></td>
<TD width="60%"><input type=text name="TFS" value="$TPL::TFS" size="8" maxlength="8" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Roster &amp; Match Title Font Face:</B></td>
<TD width="60%"><input type=text name="TFF" value="$TPL::TFF" size="8" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Roster &amp; Match Sub-Title Bgcolor:</B></td>
<TD width="60%"><input type=text name="STB" value="$TPL::STB" size="8" maxlength="8" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Roster &amp; Match Sub-Title Font Color:</B></td>
<TD width="60%"><input type=text name="STFC" value="$TPL::STFC" size="8" maxlength="8" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Roster &amp; Match Sub-Title Font Size:</B></td>
<TD width="60%"><input type=text name="STS" value="$TPL::STS" size="8" maxlength="8" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Roster &amp; Match Sub-Title Font Face:</B></td>
<TD width="60%"><input type=text name="STF" value="$TPL::STF" size="7" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Roster &amp; Match Cell Color:</B></td>
<TD width="60%"><input type=text name="TCC" value="$TPL::TCC" size="8" maxlength="8" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Roster &amp; Match Cell Font Color:</B></td>
<TD width="60%"><input type=text name="TCFC" value="$TPL::TCFC" size="8" maxlength="8" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Roster &amp; Match Cell Font size:</B></td>
<TD width="60%"><input type=text name="TCFS" value="$TPL::TCFS" size="8" maxlength="8" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Roster &amp; Match Cell Font Face:</B></td>
<TD width="60%"><input type=text name="TCFF" value="$TPL::TCFF" size="8" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Match Print Out Layout:</B></td>
<TD width="60%"><select name="matchlayout">~;
if($TPL::ML eq "1") { print qq~<option value="1" selected>Classic(Sorted In Each Cell)</option>~;}
else {print qq~<option value="1">Classic(Sorted In Each Cell)</option>~;}
if($TPL::ML eq "2") {print qq~<option value="2" selected>Special Edition(Cell Sharing)</option>~;}
else {print qq~<option value="2">Special Edition(Cell Sharing)</option>~;}
print qq~</select></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Roster Print Out Layout:</B></td>
<TD width="60%"><select name="rosterlayout">~;
if($TPL::RL eq "1") { print qq~<option value="1" selected>Classic(Sorted All together)</option>~;}
else {print qq~<option value="1">Classic(Sorted All together)</option>~;}
if($TPL::RL eq "2") {print qq~<option value="2" selected>Special Edition(Sorted By Rank)</option>~;}
else {print qq~<option value="2">Special Edition(Sorted By Rank)</option>~;}
print qq~</select></td>
</tr>
<tr>
<td colspan="2" bgcolor="#00273F"><center><font size="2" color="#FFFFFF"><B>Popup SSI Body Output</B></font></center></td>
</tr>
<tr>
<TD width="40%" bgcolor="#B3B3B3"><B>Popup Page Background Color:</B></td>
<TD width="60%" bgcolor="#B3B3B3"><input type=text name="BBG" value="$TPL::BBG" size="8" maxlength="8" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr>
<TD width="40%" bgcolor="#B3B3B3"><B>Popup Page Link Color:</B></td>
<TD width="60%" bgcolor="#B3B3B3"><input type=text name="BL" value="$TPL::BL" size="8" maxlength="8" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr>
<TD width="40%" bgcolor="#B3B3B3"><B>Popup Page vLink Color:</B></td>
<TD width="60%" bgcolor="#B3B3B3"><input type=text name="VL" value="$TPL::VL" size="8" maxlength="8" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr>
<TD width="40%" bgcolor="#B3B3B3"><B>Popup Page Text Color:</B></td>
<TD width="60%" bgcolor="#B3B3B3"><input type=text name="BTC" value="$TPL::BTC" size="8" maxlength="8" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr>
<TD width="100%" bgcolor="#B3B3B3" colspan="2"><center><INPUT TYPE=SUBMIT NAME=goto VALUE="Finish Template Vars">&nbsp;&nbsp;<INPUT TYPE=reset VALUE="Reset!"></center></td>
</tr>
</table>
</form></center><BR>
~;
&foot;
}

sub AddRmvars {
if($VAR::DM == 1) {
$message ="<center><font color=#7D0000 size=2><B>This Function Is Disabled In Demo Mode!</B></font></center>";
&DisplayMatches("$message");
}
if($VAR::DM == 0) {
$message = "<center><font color=#00FF19><B>Template Variables Has Now Been Successfully Modified!</B></FONT></center>";
open (HTMP,">$VAR::DP/templatevars.cfg") || &error("$! $VAR::DP/templatevars.cfg");
flock(HTMP, 2);
print HTMP "\$TPL::TW \= \"$INPUT{'TW'}\";\n";
print HTMP "\$TPL::BS \= \"$INPUT{'BS'}\";\n";
print HTMP "\$TPL::BC \= \"$INPUT{'BC'}\";\n";
print HTMP "\$TPL::CS \= \"$INPUT{'CS'}\";\n";
print HTMP "\$TPL::CP \= \"$INPUT{'CP'}\";\n";
print HTMP "\$TPL::TBG \= \"$INPUT{'TBG'}\";\n";
print HTMP "\$TPL::TFC \= \"$INPUT{'TFC'}\";\n";
print HTMP "\$TPL::TFS \= \"$INPUT{'TFS'}\";\n";
print HTMP "\$TPL::TFF \= \"$INPUT{'TFF'}\";\n";
print HTMP "\$TPL::STB \= \"$INPUT{'STB'}\";\n";
print HTMP "\$TPL::STFC \= \"$INPUT{'STFC'}\";\n";
print HTMP "\$TPL::STS \= \"$INPUT{'STS'}\";\n";
print HTMP "\$TPL::STF \= \"$INPUT{'STF'}\";\n";
print HTMP "\$TPL::TCC \= \"$INPUT{'TCC'}\";\n";
print HTMP "\$TPL::TCFC \= \"$INPUT{'TCFC'}\";\n";
print HTMP "\$TPL::TCFS \= \"$INPUT{'TCFS'}\";\n";
print HTMP "\$TPL::TCFF \= \"$INPUT{'TCFF'}\";\n";
print HTMP "\$TPL::ML \= \"$INPUT{'matchlayout'}\";\n";
print HTMP "\$TPL::RL \= \"$INPUT{'rosterlayout'}\";\n";
print HTMP "\$TPL::BBG \= \"$INPUT{'BBG'}\";\n";
print HTMP "\$TPL::BL \= \"$INPUT{'BL'}\";\n";
print HTMP "\$TPL::VL \= \"$INPUT{'VL'}\";\n";
print HTMP "\$TPL::BTC \= \"$INPUT{'BTC'}\";\n";
flock(HTMP, 8);
chmod(0777,"$VAR::DP/templatevars.cfg");
close(HTMP);
&DisplayMatches("$message");
}
}

sub SetupVars {
&head;
print qq~
<center>
<form action="$ENV{SCRIPT_NAME}" method=POST>
<table width="65%" border="1" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr>
<td colspan="2" bgcolor="#00273F"><center><font size="2" color="#FFFFFF"><B>Micro Scripts Clan Infinity $VAR::VER Setup Form</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Clan Name:</B></td>
<TD width="70%"><input type=text name="clan" value="$VAR::CN" size="35" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Path To Sendmail:</B></td>
<TD width="60%"><input type=text name="sendmail" value="$VAR::SM" size="75" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Site URL:</B></td>
<TD width="60%"><input type=text name="surl" value="$VAR::SU" size="75" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>URL To Images:</B></td>
<TD width="60%"><input type=text name="urlimg" value="$VAR::UI" size="75" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>URL To CGI-BIN:</B></td>
<TD width="60%"><input type=text name="urlcgi" value="$VAR::UC" size="75" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Admin E-mail:</B></td>
<TD width="60%"><input type=text name="adminemail" value="$VAR::AE" size="75" style="font-family: Verdana; font-size: 10pt; background-color: #FFFFFF; color: #000000; border: 2px solid #000000"></td>
</tr>
<tr bgcolor="#00273F">
<td colspan="2"><center><font size="2" color="#FFFFFF"><B>Template Variables</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Link To Oppenents Site:</B></td>
<TD width="70%"><select name="olink">~;
if($VAR::OL eq "1") {print qq~<option value="1" selected>Yes</option>\n~;}
else {print qq~<option value="1">Yes</option>\n~;}
if($VAR::OL eq "2") {print qq~<option value="2" selected>No</option></select></td></tr>\n~;}
else {print qq~<option value="2">No</option></select></td></tr>\n~;}
print qq~
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Link To Match Stats:</B></td>
<TD width="70%"><select name="mstat">~;
if($VAR::MAS eq "1") {print qq~<option value="1" selected>Yes</option>\n~;}
else {print qq~<option value="1">Yes</option>\n~;}
if($VAR::MAS eq "2") {print qq~<option value="2" selected>No</option></select></td></tr>\n~;}
else {print qq~<option value="2">No</option></select></td></tr>\n~;}
print qq~
<tr bgcolor="#B3B3B3">
<TD width="30%"><B>Game Notes:</B></td>
<TD width="70%"><select name="gnote">~;
if($VAR::GN eq "1") {print qq~<option value="1" selected>Yes</option>\n~;}
else {print qq~<option value="1">Yes</option>\n~;}
if($VAR::GN eq "2") {print qq~<option value="2" selected>No</option></select></td></tr>\n~;}
else {print qq~<option value="2">No</option></select></td></tr>\n~;}
print qq~
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Screen Shots:</B></td>
<TD width="60%"><select name="screenshot">~;
if($VAR::SS eq "1") {print qq~<option value="1" selected>Yes</option>\n~;}
else {print qq~<option value="1">Yes</option>\n~;}
if($VAR::SS eq "2") {print qq~<option value="2" selected>No</option></select></td></tr>\n~;}
else {print qq~<option value="2">No</option></select></td></tr>\n~;}
print qq~
<tr bgcolor="#B3B3B3">
<TD width="40%"><B>Stats For Each League:</B></td>
<TD width="60%"><select name="leaguestats">~;
if($VAR::LS eq "1") {print qq~<option value="1" selected>Yes</option>\n~;}
else {print qq~<option value="1">Yes</option>\n~;}
if($VAR::LS eq "2") {print qq~<option value="2" selected>No</option></select></td></tr>\n~;}
else {print qq~<option value="2">No</option></select></td></tr>\n~;}
print qq~
<tr bgcolor="#B3B3B3">
<TD width="100%" colspan="2"><center><INPUT TYPE=SUBMIT NAME=goto VALUE="Finish Setup">&nbsp;&nbsp;<INPUT TYPE="reset" VALUE=Reset!></center></td>
</tr>
</table></form></center><BR>~;
&foot;
}

sub FinshSetup {
if($VAR::DM == 1) {
$message ="<center><font color=#7D0000 size=2><B>This Function Is Disabled In Demo Mode!!</B></font></center>";
&DisplayMatches("$message");
}
if($VAR::DM == 0) {
$message = "<center><font color=#00FF19><B>Setup Configuration Has Been Successfully Modified!!</B></FONT></center>";
$INPUT{'adminemail'} =~ s/\@/\\\@/ig;
$current_path = $ENV{'SCRIPT_FILENAME'};
$current_path =~ s/\/admin\/admin\.cgi//ig;
open (VARDB,">$current_path/data/variables.cfg") || &error("$! $current_path/data/variables.cfg");
flock(VARDB, 2);
print VARDB "\$VAR::DM \= \"0\";\n";
print VARDB "\$VAR::CN \= \"$INPUT{'clan'}\";\n";
print VARDB "\$VAR::SM \= \"$INPUT{'sendmail'}\";\n";
print VARDB "\$VAR::SU \= \"$INPUT{'surl'}\";\n";
print VARDB "\$VAR::UI \= \"$INPUT{'urlimg'}\";\n";
print VARDB "\$VAR::UC \= \"$INPUT{'urlcgi'}\";\n";
print VARDB "\$VAR::AE \= \"$INPUT{'adminemail'}\";\n";
print VARDB "\$VAR::OL \= \"$INPUT{'olink'}\";\n";
print VARDB "\$VAR::MAS \= \"$INPUT{'mstat'}\";\n";
print VARDB "\$VAR::GN \= \"$INPUT{'gnote'}\";\n";
print VARDB "\$VAR::SS \= \"$INPUT{'screenshot'}\";\n";
print VARDB "\$VAR::LS \= \"$INPUT{'leaguestats'}\";\n";
print VARDB "\$VAR::DP \= \"$current_path/data\";\n";
print VARDB "\$VAR::MEP \= \"\$VAR::DP/members\";\n";
print VARDB "\$VAR::SMD \= \"\$VAR::DP/smatch\";\n";
print VARDB "\$VAR::MDB \= \"\$VAR::MEP/memberslist.txt\";\n";
print VARDB "\$VAR::MADB \= \"\$VAR::DP/matches.db\";\n";
print VARDB "\$VAR::MAPDB \= \"\$VAR::DP/maps.db\";\n";
print VARDB "\$VAR::LDB \= \"\$VAR::DP/leagues.db\";\n";
print VARDB "\$VAR::GDB \= \"\$VAR::DP/gamemodes.db\";\n";
print VARDB "\$VAR::SMDB \= \"\$VAR::SMD/smatches.db\";\n";
print VARDB "\$VAR::NWFL \= \"\$VAR::DP/news.db\";\n";
print VARDB "\$VAR::NME \= \"\$VAR::DP/_new_mem_email.tmpl\";\n";
print VARDB "\$VAR::NSM \= \"\$VAR::DP/_schedule_match_email.tmpl\";\n";
print VARDB "\$VAR::VER \= \"1.1\";\n";
flock(VARDB, 8);
chmod(0777,"$current_path/data/variables.cfg");
close(VARDB);
&DisplayMatches("$message");
}
}

sub DisplayProfile {
open(DIsplayProfile,"<$VAR::MEP/$ad_key.db") || &error("$! $VAR::MEP/$mem.db");
@DIsplayProfile=<DIsplayProfile>;
close(DIsplayProfile);
foreach $line (@DIsplayProfile) {
($playernick,$rank,$status,$joindate,$name,$hobbies,$connection,$favgame,$classes,$compspec,$location,$email,$icq,$quote,$hemail,$hicq,$pass,$myposagent,$myposengineer,$myposflametrooper,$myposgrenadier,$myposminigunner,$myposparamedic,$myposrecon,$mypossniper,$mypossoldier,$doro)=split(/\|/, $line);
if($playernick eq "$ad_key") {
$x = 10;
print qq~
<html>
<head>
<title>.::.:$playernick Profile:.::.</title>
</head>

<body bgcolor="#555555" text="#000000" link="#000071" vlink="#000071" TOPMARGIN="0" LEFTMARGIN="0" RIGHTMARGIN="0">

<center>
<table width="100%" border="2" cellspacing="2" cellpadding="2" bordercolor="#000000">
<tr bgcolor="#00273F">
<td colspan="2"><center><font color="#FFFFFF" face="Arial" size=2><B>$playernick\'s Profile</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<td width="25%"><div align="left"><b><font size="2">Name:</font></b></div></td>
<td width="75%"><div align="left"><b><font size="2">$name</font></b></div></td>
</tr>
<tr bgcolor="#B3B3B3">
<td width="25%"><div align="left"><b><font size="2">Hobbies:</font></b></div></td>
<td width="75%"><div align="left"><b><font size="2">$hobbies</font></b></div></td>
</tr>
<tr bgcolor="#B3B3B3">
<td width="25%"><div align="left"><b><font size="2">Connection:</font></b></div></td>
<td width="75%"><div align="left"><b><font size="2">$connection</font></b></div></td>
</tr>
<tr bgcolor="#B3B3B3">
<td width="25%"><div align="left"><b><font size="2">Favorite Games:</font></b></div></td>
<td width="75%"><div align="left"><b><font size="2">$favgame</font></b></div></td>
</tr>
<tr bgcolor="#B3B3B3">
<td width="25%"><div align="left"><b><font size="2">Favorite Class:</font></b></div></td>
<td width="75%"><div align="left"><b><font size="2">$classes</font></b></div></td>
</tr>
<tr bgcolor="#B3B3B3">
<td width="25%"><div align="left"><b><font size="2">Computer Specs:</font></b></div></td>
<td width="75%"><div align="left"><b><font size="2">$compspec</font></b></div></td>
</tr>
<tr bgcolor="#B3B3B3">
<td width="25%"><div align="left"><b><font size="2">Location:</font></b></div></td>
<td width="75%"><div align="left"><b><font size="2">$location</font></b></div></td>
</tr>~;
if($hemail eq "Yes") {
print qq~<tr bgcolor="#B3B3B3">
<td width="25%"><div align="left"><b><font size="2">E-mail:</font></b></div></td>
<td width="75%"><div align="left"><b><font size="2">N/A</font></b></div></td>
</tr>~;}
elsif($hemail eq "No") {
print qq~<tr bgcolor="#B3B3B3">
<td width="25%"><div align="left"><b><font size="2">E-mail:</font></b></div></td>
<td width="75%"><div align="left"><b><font size="2">$email</font></b></div></td>
</tr>~;}
if($hicq eq "Yes") {
print qq~<tr bgcolor="#B3B3B3">
<td width="25%"><div align="left"><b><font size="2">Icq:</font></b></div></td>
<td width="75%"><div align="left"><b><font size="2">N/A</font></b></div></td>
</tr>~;}
elsif($hicq eq "No") {
print qq~<tr bgcolor="#B3B3B3">
<td width="25%"><div align="left"><b><font size="2">Icq:</font></b></div></td>
<td width="75%"><div align="left"><b><font size="2">$icq</font></b></div></td>
</tr>~;}
print qq~
<tr bgcolor="#B3B3B3">
<td width="25%"><div align="left"><b><font size="2">Personal Quote:</font></b></div></td>
<td width="75%"><div align="left"><b><font size="2">$quote</font></b></div></td>
</tr>
</table></center><BR>

<center>
<table width="100%" border="2" cellspacing="2" cellpadding="2" bordercolor="#000000">
<tr bgcolor="#00273F">
<td colspan="10"><center><font color="#FFFFFF" face="Arial" size=2><B>$playernick\'s Favorite Positions</B></font></center></td>
</tr>
<tr bgcolor="#003B61">
<td><center><font size="2" color="#FFFFFF"><B>Agent</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Engy</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Flame</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Gren</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Mini</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Medic</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Recon</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Sniper</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Soldier</B></font></center></td>
<td><center><font size="2" color="#FFFFFF"><B>Fav Pos</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<td><center><font size="2"><B>$myposagent</B></font></center></td>
<td><center><font size="2"><B>$myposengineer</B></font></center></td>
<td><center><font size="2"><B>$myposflametrooper</B></font></center></td>
<td><center><font size="2"><B>$myposgrenadier</B></font></center></td>
<td><center><font size="2"><B>$myposminigunner</B></font></center></td>
<td><center><font size="2"><B>$myposparamedic</B></font></center></td>
<td><center><font size="2"><B>$myposrecon</B></font></center></td>
<td><center><font size="2"><B>$mypossniper</B></font></center></td>
<td><center><font size="2"><B>$mypossoldier</B></font></center></td>
<td><center><font size="2"><B>$doro</B></font></center></td>
</tr>
</table></center><BR>
~;
&foot;
}
}
exit;
}

sub About {
&head;
print qq~
<center>
<table width="55%%" border="2" cellspacing="1" cellpadding="1">
<tr bgcolor="#00273F">
<td><center><font color="#FFFFFF"><B>About Clan Infinity $VAR::VER</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<td><center><i><u><b>Clan Infinity $VAR::VER</b></u></i><BR><BR>
<b>This Script was Coded By <a href="mailto:webmaster\@microscripts.com">Whitepyro</A>
and <a href="http://www.microscripts.com" target="_blank">Micro Scripts</A><BR>
with association with <a href="http://www.pq3f.com" target="_blank">Planet Quake 3 Fortress</A><BR><BR>
If you have any comments or suggestions or wish to<BR>report a bug please feel free to 
<a href="mailto:webmaster\@microscripts.com">E-mail me</A></b></center></td>
</tr>
<tr bgcolor="#00273F">
<td><div align="center"><font color="#FFFFFF"><b>Special Thanks To:</b></font></div></td>
</tr>
<tr bgcolor="#B3B3B3">
<td><div align="center"><b>[LB]Hitman - For helping with beta testing & Clan [LB]<BR>
<a href="http://www.pq3f.com" target="_blank">Planet Quake 3 Fortress</A> - For pimping out this script</b></div></td>
</tr>
</table></center><BR>
~;
&foot;
}

sub head {
$message = $_[0];
print qq~
<html>
<head>
<title>Micro Scripts - Clan Infinity $VAR::VER</title>
<style TYPE="text/CSS">
<!--
A { text-decoration: none }
A:hover {COLOR: #FF000C }
TH { border-style: outset; border-color: #336699;border-width: 1;font-family:Arial ; font-size:10pt; font-weight:bold; background-color: #000000}
TR {}
BODY {  font-family:Arial ; font-size:10pt; OVERFLOW:scroll;OVERFLOW-X:hidden}
input { font-family: Verdana ; font-size:10pt;}
img { border-width: 0}
td{ border-color: #000000; border-width: 2; border-style: outset}
table {border-style: outset; border-color: #000000;border-width: 1;font-family:Arial ; font-size:10pt; font-weight:bold; background-color: #B3B3B3}
-->
</style>
<script language="JavaScript" TYPE="text/javascript">
function MS_popWindow(theURL,winName,features) {
window.open(theURL,winName,features);
}
</script>
</head>

<body bgcolor="#555555" text="#000000" link="#000071" vlink="#000071" TOPMARGIN="0" LEFTMARGIN="0">

<script language="JavaScript" TYPE="text/javascript">
function con(aa)
{
aa.style.backgroundColor='#DDDDDD';
}
function coff(aa)
{
aa.style.backgroundColor='#B3B3B3';
}
</script>
<center><font size="3"><B>Micro Scripts Presents</B></font><BR>
<font size="2">Clan Infinity Version $VAR::VER</font></center>~;
if($message eq "$_[0]") {
print "$message\n";
}
$overallwins = 0;
$overallosses = 0;
open(DATA, "$VAR::MADB") || &error("$! $VAR::MADB");
@getmatch=<DATA>;
close(DATA);
chomp(@getmatch);
foreach $line (@getmatch) {
($matchid,$date,$opponent,$ourl,$league,$matchtype,$gamemode,$map,$oscore,$yscore,$screen,$rnd1stat,$rnd2stat,$comments,$overal)=split(/\|/, $line);
if($overal eq "Win") {$overallwins++;}
if($overal eq "They Forfeited") {$overallwins++;}
if($overal eq "Loss") {$overallosses++;}
if($overal eq "We Forfeited") {$overallosses++;}
$overallmatches = $overallwins + $overallosses;}
print qq~
<center>
<table width="33%" border="2" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#00273F">
<td colspan=2><center><font size="2" color="#FFFFFF"><B>$VAR::CN Game Statistics</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<td width="50%"><center><font size="2"><B>Overall Wins: $overallwins</B></font></center></td>
<td width="50%"><center><font size="2"><B>Overall Loses: $overallosses</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<td width="50%"><center><font size="2"><B>Total Matches Played: ~;
if($overallmatches < 1) {print "0</B></font></center></td>";}
else {print "$overallmatches</B></font></center></td>";}
if(-z $sta_dat) {print qq~<td width="50%"><center><font size="2"><B>Total Win Ratio: N/A</B></font></center></td>~;}
if($overallmatches < 1) {print qq~
<td width="50%"><center><font size="2"><B>Total Win Ratio: N/A</B></font></center></td>~;}
else {
if($overallosses < 1) {$overalwinratio = "$overallwins";}
elsif($overallwins < 1) {$overalwinratio = "N/A";}
elsif($overallwins => 1 && $overallosses => 1) {
$overalwinratio = $overallwins / $overallmatches * 100;
$overalwinratio = int($overalwinratio);
}
if($overallwins => 1 && $overallosses < 1) {
$overalwinratio = $overallmatches * 100;
$overalwinratio = int($overalwinratio);
}
print qq~
<td width="50%"><center><font size="2"><B>Total Win Ratio: $overalwinratio\%</B></font>~;
}
print qq~</center></td>
</tr>~;
$overallmembers = 0;
$overallactive = 0;
$overallinactive = 0;
$overallretired = 0;
open(DATA, "$VAR::MDB") || &error("$! $VAR::MDB");
@mem=<DATA>;
close(DATA);
chomp(@mem);
foreach $line (@mem) {
($mem,$stat)=split(/\|/, $line); 
$overallmembers++;
if($stat eq "Active") {$overallactive++;}
if($stat eq "Inactive") {$overallinactive++;}
if($stat eq "Retired") {$overallretired++;}
}
print qq~
<tr bgcolor="#00273F">
<td colspan=2><center><font size="2" color="#FFFFFF"><B>$VAR::CN Members Statistics</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<td width="50%"><center><font size="2"><B>Total Active Members: $overallactive</B></font></center></td>
<td width="50%"><center><font size="2"><B>Total Inactive Members: $overallinactive</B></font></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<td width="50%"><center><font size="2"><B>Total Retired Members: $overallretired</B></font></center></td>
<td width="50%"><center><font size="2"><B>Total Members: $overallmembers</B></font></center></td>
</tr>
</table></center><BR>

<center>
<table width="70%" border="1" cellspacing="1" cellpadding="1" bordercolor="#000000">
<tr bgcolor="#00273F">
<td colspan=4><center><b><font size="2" color="#FFFFFF">Menu Bar</font></b></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<td width="25%"><center><a href="$ENV{SCRIPT_NAME}?goto=AddMatch"><B>Add New Match</B></a></center></td>
<td width="25%"><center><a href="$ENV{SCRIPT_NAME}?goto=AddMember"><B>Add Member</B></a></center></td>
<td width="25%"><center><a href="$ENV{SCRIPT_NAME}?goto=Smatch"><B>Schedule Match</B></a></center></td>
<td width="25%"><center><a href="$ENV{SCRIPT_NAME}?goto=News"><B>Add News</B></a></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<td width="25%"><center><a href="$ENV{SCRIPT_NAME}?goto=DisplayMatches"><B>Display Matches</B></a></center></td>
<td width="25%"><center><a href="$ENV{SCRIPT_NAME}?goto=DisplayMembers"><B>Display Members</B></a></center></td>
<td width="25%"><center><a href="$ENV{SCRIPT_NAME}?goto=DisplaySmatch"><B>Display Scheduled Matches</B></a></center></td>
<td width="25%"><center><a href="$ENV{SCRIPT_NAME}?goto=DisplayLeagues"><B>Display Leagues</B></a></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<td width="25%"><center><a href="$ENV{SCRIPT_NAME}?goto=DisplayMaps"><B>Display Maps</B></a></center></td>
<td width="25%"><center><a href="$ENV{SCRIPT_NAME}?goto=EmailMembers"><B>E-mail Members</B></a></center></td>
<td width="25%"><center><a href="$ENV{SCRIPT_NAME}?goto=DisplayRmvars"><B>Display Template Vars</B></a></center></td>
<td width="25%"><center><a href="$ENV{SCRIPT_NAME}?goto=SetupVars"><B>Setup Variables</B></a></center></td>
</tr>
<tr bgcolor="#B3B3B3">
<td colspan=4 width="100%"><center><a href="$ENV{SCRIPT_NAME}?goto=About"><B>About</B></a></center></td>
</tr>
</table></center><BR>
~;
}

sub foot {
print qq~
<center><font size="2"><B>Powered By <a href=\"http://www.microscripts.com\" target=\"_blank\">Clan Infinity $VAR::VER</A><BR>All Rights Reserved <a href=\"http://www.microscripts.com\" target=\"_blank\">Micro Scripts</A> &copy;</B></font></center>
</body>
</html>~;
}

sub error {
my @error = @_;
&head($error[0]);
&foot;
exit;
}

sub SendMail {
open (MAIL,"|$VAR::SM -t") || &error("I Can't Send E-mail(s)");
chomp($_[0]);
chomp($_[1]);
chomp($_[2]);
print MAIL "To: $_[0]\n";
print MAIL "From: $_[1]\n";
print MAIL "Subject: $_[2]\n";
print MAIL "$_[3]\n\n";
close MAIL;
}

sub Parse {
if($ENV{'REQUEST_METHOD'} eq 'POST') {
read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
@pairs = split(/&/, $buffer);} 
else {@pairs = split(/&/, $ENV{'QUERY_STRING'});}
foreach $pair (@pairs) {
  ($ad_key, $value) = split (/=/, $pair);
  $ad_key =~ tr/+/ /;
  $ad_key =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
  $value =~ tr/+/ /;
  $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
{$INPUT{$ad_key} = $value;}
}
}