#!/usr/bin/perl
#########################################################
#                 Clan Infinity V1.1                    #
#########################################################
#                                                       #
# This script is copywrited by Micro Scripts Inc.       #
# any attempt to modify or use this code without proper #
# authorization will be considered an infringement of   #
# our copywrite and legal action will be pursued to     #
# the fullest extent possible.                          #
#                                                       #
# This script was created by:                           #
#                                                       #
# Micro Scripts & Josh Emilson.                         #
# http://www.microscripts.com                           #
#                                                       #
# This and many other fine scripts are available at     #
# the above website or by emailing the author at        #
# webmaster@microscripts.com                            #
#########################################################

require ("data/variables.cfg");
require ("data/templatevars.cfg");

print ("Content-type: text/html\n\n");
&Parse;
$goto = $INPUT{goto};

if($goto eq "GameNotes") {&GameNotes;}
elsif($TPL::ML eq "1") {&Layout;}
elsif($TPL::ML eq "2") {&Layout2;}

sub Layout {
$x=8;
if($VAR::MAS eq "1") {$x++;}
if($VAR::SS eq "1") {$x++;}
if($VAR::GN eq "1") {$x++;}
print qq~
<center>~;
if($VAR::LS eq "1") {
open(DATA,"<$VAR::MADB") || print("$! $VAR::MADB");
@getmatch = <DATA>;
close(DATA);
chomp(@getmatch);
open(LEAGUES,"<$VAR::LDB") || print("$! $VAR::LDB");
while($line = <LEAGUES>) {
next if $line =~ /^\n/;
chomp $line;
$a = 0;
$b = 0;
$c = 0;
$d = 0;
$leaguelist = $line;
foreach $line (@getmatch) {
($matchid,$date,$opponent,$ourl,$league,$matchtype,$gamemode,$map,$oscore,$yscore,$screen,$rnd1stat,$rnd2stat,$comments,$overal)=split(/\|/,$line);
if($leaguelist eq "$league" && $overal eq 'Win') {$a++;}
if($leaguelist eq "$league" && $overal eq 'They Forfeited') {$a++;}
if($leaguelist eq "$league" && $overal eq 'Loss') {$b++;}
if($leaguelist eq "$league" && $overal eq 'We Forfeited') {$b++;}
if($overal eq "Win") {$c++;}
if($overal eq "They Forfeited") {$c++;}
if($overal eq 'Loss') {$d++;}
if($overal eq 'We Forfeited') {$d++;}
}
if($a >= 1 or $b >= 1)	{
print qq~<font size="3"><B>Official $leaguelist Record: $a-$b</B></font><BR>\n~;	
}
}
print qq~<font size="3"><B>Official Overall Record: $c-$d</B></font><BR><BR>\n~;	
close(LEAGUES);
}
print qq~
</center>
<center>
<table width="$TPL::TW" border="$TPL::BS" bordercolor="$TPL::BC" cellspacing="$TPL::CS" cellpadding="$TPL::CP">
<tr>
<td bgcolor="$TPL::TBG" colspan=$x><center><font color="$TPL::TFC" size="$TPL::TFS" face="$TPL::TFF"><B>$VAR::CN Match Stats</B></font></center></td>
</tr>
<tr bgcolor="$TPL::STB">
<td><center><font color="$TPL::STFC" size="$TPL::STS" face="$TPL::STF"><B>Opponent</B></font></center></td>
<td><center><font color="$TPL::STFC" size="$TPL::STS" face="$TPL::STF"><B>Date</B></font></center></td>
<td><center><font color="$TPL::STFC" size="$TPL::STS" face="$TPL::STF"><B>Game Mode</B></font></center></td>
<td><center><font color="$TPL::STFC" size="$TPL::STS" face="$TPL::STF"><B>League</B></font></center></td>
<td><center><font color="$TPL::STFC" size="$TPL::STS" face="$TPL::STF"><B>Match Type</B></font></center></td>
<td><center><font color="$TPL::STFC" size="$TPL::STS" face="$TPL::STF"><B>Map</B></font></center></td>~;
if($VAR::MAS eq "1") {print qq~<td><center><font color="$TPL::STFC" size="$TPL::STS" face="$TPL::STF"><B>Round Stats</B></font></center></td>~;}
if($VAR::GN eq "1") {print qq~<td><center><font color="$TPL::STFC" size="$TPL::STS" face="$TPL::STF"><B>Game Notes</B></font></center></td>~;}
if($VAR::SS eq "1") {print qq~<td><center><font color="$TPL::STFC" size="$TPL::STS" face="$TPL::STF"><B>Screenshot</B></font></center></td>~;}
print qq~<td><center><font color="$TPL::STFC" size="$TPL::STS" face="$TPL::STF"><B>Score(s)</B></font></center></td>
<td><center><font color="$TPL::STFC" size="$TPL::STS" face="$TPL::STF"><B>Overal</B></font></center></td>
</tr>~;
&GetMatches;
foreach $line (@GetMatch) {
($matchid,$date,$opponent,$ourl,$league,$matchtype,$gamemode,$map,$oscore,$yscore,$screen,$rnd1stat,$rnd2stat,$comments,$overal)=split(/\|/,$line);
print qq~
<tr bgcolor="$TPL::TCC">
<td><center>~;
if($VAR::OL eq "1") {
if($ourl eq "http://") {print qq~<font color="$TPL::TCFC" size="$TPL::TCFS" face="$TPL::TCFF"><B>$opponent</B></font></center></td>~;}
else {
print qq~<a href="$ourl" target="_blank"><B>$opponent</B></A></center></td>~;}
}
if($VAR::OL eq "2") {print qq~<font color="$TPL::TCFC" size="$TPL::TCFS" face="$TPL::TCFF"><B>$opponent</B></font></center></td>~;}
print qq~<td><center><font color="$TPL::TCFC" size="$TPL::TCFS" face="$TPL::TCFF"><B>$date</B></font></center></td>
<td><center><font color="$TPL::TCFC" size="$TPL::TCFS" face="$TPL::TCFF"><B>$gamemode</B></font></center></td>
<td><center><font color="$TPL::TCFC" size="$TPL::TCFS" face="$TPL::TCFF"><B>$league</B></font></center></td>
<td><center><font color="$TPL::TCFC" size="$TPL::TCFS" face="$TPL::TCFF"><B>$matchtype</B></font></center></td>
<td><center><font color="$TPL::TCFC" size="$TPL::TCFS" face="$TPL::TCFF"><B>$map</B></font></center></td>~;
if($VAR::MAS eq "1") { 
if($rnd1stat && $rnd2stat eq "http://") {print qq~<td><center><font color="$TPL::TCFC" size="$TPL::TCFS" face="$TPL::TCFF"><B>N.A</B></font></center></td>~;}
else {print qq~<td><center><a href="$rnd1stat" target="_blank"><B>Rnd 1</B></A>\n <a href="$rnd2stat" target="_blank"><B>Rnd 2</B></A></center></td>~;}
}
if($VAR::GN eq "1") {print qq~<td><center><a href="$ENV{SCRIPT_NAME}?goto=GameNotes&$matchid" target="GameNotes" onclick="MS_popWindow('$ENV{SCRIPT_NAME}?goto=GameNotes&$matchid','GameNotes','width=450,height=320,scrollbars,resizable')"><B>Game Notes</B></A></center></td>~;}
if($VAR::SS eq "1") {
if($screen eq "http://") {print qq~<td><center><font color="$TPL::TCFC" size="$TPL::TCFS" face="$TPL::TCFF"><B>N/A</B></font></center></td>~;}
else {print qq~<td><center><a href="$screen" target="_blank"><B>Screenshot</B></A></center></td>~;}
}
if($yscore eq "f") {
$yscore = "Forfeit";
$oscore = "Forfeit";}
elsif($yscore eq "F") {
$yscore = "Forfeit";
$oscore = "Forfeit";}
elsif($oscore eq "f") {
$yscore = "Forfeit";
$oscore = "Forfeit";}
elsif($oscore eq "F") {
$yscore = "Forfeit";
$oscore = "Forfeit";}
print qq~<td><center><font color="$TPL::TCFC" size="$TPL::TCFS" face="$TPL::TCFF"><B>$yscore-$oscore</B></font></center></td>
<td><center><font color="$TPL::TCFC" size="$TPL::TCFS" face="$TPL::TCFF"><B>$overal</B></font></center></td>
</tr>~;
}
print "</table></center><BR>\n";
&foot;
}

sub Layout2 {
print qq~
<center>~;
if($VAR::LS eq "1") {
open(DATA,"<$VAR::MADB") || print("$! $VAR::MADB");
@getmatch = <DATA>;
close(DATA);
chomp(@getmatch);
open(LEAGUES,"<$VAR::LDB") || print("$! $VAR::LDB");
while($line = <LEAGUES>) {
next if $line =~ /^\n/;
chomp $line;
$a = 0;
$b = 0;
$c = 0;
$d = 0;
$leaguelist = $line;
foreach $line (@getmatch) {
($matchid,$date,$opponent,$ourl,$league,$matchtype,$gamemode,$map,$oscore,$yscore,$screen,$rnd1stat,$rnd2stat,$comments,$overal)=split(/\|/,$line);
if($leaguelist eq "$league" && $overal eq 'Win') {$a++;}
if($leaguelist eq "$league" && $overal eq 'They Forfeited') {$a++;}
if($leaguelist eq "$league" && $overal eq 'Loss') {$b++;}
if($leaguelist eq "$league" && $overal eq 'We Forfeited') {$b++;}
if($overal eq "Win") {$c++;}
if($overal eq "They Forfeited") {$c++;}
if($overal eq 'Loss') {$d++;}
if($overal eq 'We Forfeited') {$d++;}
}
if($a >= 1 or $b >= 1)	{
print qq~<font size="3"><B>Official $leaguelist Record: $a-$b</B></font><BR>\n~;	
}
}
print qq~<font size="3"><B>Official Overall Record: $c-$d</B></font><BR><BR>\n~;	
close(LEAGUES);
}
$x=5;
print qq~
</center>
<center>
<table width="$TPL::TW" border="$TPL::BS" bordercolor="$TPL::BC" cellspacing="$TPL::CS" cellpadding="$TPL::CP">
<tr>
<td bgcolor="$TPL::TBG" colspan=$x><center><font color="$TPL::TFC" size="$TPL::TFS" face="$TPL::TFF"><B>$VAR::CN Match Stats</B></font></center></td>
</tr>
<tr bgcolor="$TPL::STB">
<td><center><font color="$TPL::STFC" size="$TPL::STS" face="$TPL::STF"><B>Opponent</B></font></center></td>
<td><center><font color="$TPL::STFC" size="$TPL::STS" face="$TPL::STF"><B>Date</B></font></center></td>
<td><center><font color="$TPL::STFC" size="$TPL::STS" face="$TPL::STF"><B>League</B></font></center></td>
<td><center><font color="$TPL::STFC" size="$TPL::STS" face="$TPL::STF"><B>Map</B></font></center></td>
<td><center><font color="$TPL::STFC" size="$TPL::STS" face="$TPL::STF"><B>Score</B></font></center></td>
</tr>~;
&GetMatches;
foreach $line (@GetMatch) {
($matchid,$date,$opponent,$ourl,$league,$matchtype,$gamemode,$map,$oscore,$yscore,$screen,$rnd1stat,$rnd2stat,$comments,$overal)=split(/\|/,$line);
print qq~
<tr bgcolor="$TPL::TCC">
<td><center>~;
if($VAR::OL eq "1") {
if($ourl eq "http://") {print qq~<font color="$TPL::TCFC" size="$TPL::TCFS" face="$TPL::TCFF"><B>$opponent</B></font>~;
} else {
print qq~<a href="$ourl" target="_blank"><B>$opponent</B></A>~;}
}
if($VAR::GN eq "0") {print qq~</center><BR>~;}
if($VAR::OL eq "2") {print qq~<font color="$TPL::TCFC" size="$TPL::TCFS" face="$TPL::TCFF"><B>$opponent</B></font>~;
if($VAR::GN eq "0") {print qq~</center><BR>~;}
if($VAR::GN eq "1") {print qq~<BR>~;}
}
if($VAR::GN eq "1") {print qq~<a href="$ENV{SCRIPT_NAME}?goto=GameNotes&$matchid" target="GameNotes" onclick="MS_popWindow('$ENV{SCRIPT_NAME}?goto=GameNotes&$matchid','GameNotes','width=450,height=320,scrollbars,resizable')"><B>Game Notes</B></A></center></td>~;}
print qq~\n<td><center><font color="$TPL::TCFC" size="$TPL::TCFS" face="$TPL::TCFF"><B>$date</B></font></center></td>
<td><center><font color="$TPL::TCFC" size="$TPL::TCFS" face="$TPL::TCFF"><B>$league<BR>$matchtype</B></font></center></td>
<td><center><font color="$TPL::TCFC" size="$TPL::TCFS" face="$TPL::TCFF"><B>$map - $gamemode</B></font></center>~;
if($VAR::MAS eq "1") {
if($rnd1stat && $rnd2stat eq "http://") {print qq~</td>~;}
else {print qq~<center><a href="$rnd1stat" target="_blank"><B>Rnd 1</B></A> <a href="$rnd2stat" target="_blank"><B>Rnd 2</B></A></center></td>~;}
}
if($yscore eq "f") {
$yscore = "Forfeit";
$oscore = "Forfeit";}
elsif($yscore eq "F") {
$yscore = "Forfeit";
$oscore = "Forfeit";}
elsif($oscore eq "f") {
$yscore = "Forfeit";
$oscore = "Forfeit";}
elsif($oscore eq "F") {
$yscore = "Forfeit";
$oscore = "Forfeit";}
print qq~
<td><center><font color="$TPL::TCFC" size="$TPL::TCFS" face="$TPL::TCFF"><B>$yscore - $oscore<BR> $overal</B><BR>~;
if($VAR::SS eq "1") {
if($screen eq "http://") {}
else {print qq~<a href="$screen" target="_blank"><B>Screenshot</B></A>~;}}
print qq~</font></center></td>\n</tr>~;
}
print "\n</table></center><BR>\n";
&foot;
}

sub GameNotes {
open(Gamenotes,"<$VAR::MADB") || print("$! $VAR::MADB");
@Gamenotes=<Gamenotes>;
close(Gamenotes);
foreach $line (@Gamenotes) {
($matchid,$date,$opponent,$ourl,$league,$matchtype,$gamemode,$map,$oscore,$yscore,$screen,$rnd1stat,$rnd2stat,$comments,$overal)=split(/\|/,$line);
if($matchid eq "$ad_key") {
print qq~
<html>
<head>
<title>$VAR::CN Vs $opponent - Game Notes!</title>
</head>\n
<body bgcolor="$TPL::BBG" text="$TPL::BTC" link="$TPL::BL" vlink="$TPL::VL" TOPMARGIN="0" LEFTMARGIN="0" RIGHTMARGIN="0">\n
<table width="100%" border="$TPL::BS" cellspacing="$TPL::CS" cellpadding="$TPL::CP" bordercolor="$TPL::BC">
<tr>
<td bgcolor="$TPL::TBG" colspan="2"><center><font size="$TPL::TFS" color="$TPL::TFC" face="$TPL::TFF"><B>$VAR::CN Game Notes For $opponent</B></font></center></td>
</tr>
<tr bgcolor="$TPL::TCC">
<td width="50%"><center><font color="$TPL::TCFC" size="$TPL::TCFS" face="$TPL::TCFF"><B>League</b> - $league/$matchtype</font></center></td>
<td width="50%"><center><font color="$TPL::TCFC" size="$TPL::TCFS" face="$TPL::TCFF"><B>Map</b> - $map/$gamemode</font></center></td>
</tr>
<tr bgcolor="$TPL::TCC">
<td width="50%"><center><font color="$TPL::TCFC" size="$TPL::TCFS" face="$TPL::TCFF"><B>Score</B> - $yscore - $oscore</font></center></td>
<td width="50%"><center><font color="$TPL::TCFC" size="$TPL::TCFS" face="$TPL::TCFF"><B>Overal</B> - $overal</font></center></td>
</tr>
<tr>
<td bgcolor="$TPL::TBG" colspan="2"><center><font size="2" color="$matchtitfontcol"><B>Game Notes</B></font></center></td>
</tr>
<tr>
<td bgcolor="$TPL::TCC" colspan="2"><center><font color="$TPL::TCFC" size="$TPL::TCFS" face="$TPL::TCFF"><B>$comments</B></font></center></td>
</tr>
</table><BR>~;
&foot;
print qq~
</body>
</html>~;
exit;
}
}
}

sub GetMatches {
open(DATA,"<$VAR::MADB") || print("$! $VAR::MADB");
@GetMatch=<DATA>;
close(DATA);
chomp(@GetMatch);
}

sub foot {
print qq~
<center><font size="2">Powered By <a href="http://www.microscripts.com" target="_blank">Clan Infinity $VAR::VER</A><BR>All Rights Reserved <a href="http://www.microscripts.com" target="_blank">Micro Scripts</A> &copy;</font></center>~;
}

sub Parse {
if ($ENV{'REQUEST_METHOD'} eq 'POST') {
read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
@pairs = split(/&/, $buffer);} 
else {@pairs = split(/&/, $ENV{'QUERY_STRING'});}
foreach $pair (@pairs) {
  ($ad_key, $value) = split (/=/, $pair);
  $ad_key =~ tr/+/ /;
  $ad_key =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
  $value =~ tr/+/ /;
  $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
{$INPUT{$ad_key} = $value;}
}
}